October
 » Adjusted video embeds to make sure they play without having to click them more than once. This had to be adjusted after Google changed their
   browser policy around autoplaying videos
 » Adjustments to font scaling in FlowPaper Zine to optimize sharpness


September
 » It is now possible to add alt tags to Elements publications
 » Quality improvements in output for the flatten/compress functionality
 » The Zine & Elements templates now supports output in WEBP image format. The templates optimizes quality and loading time further while at
   the same time supporting old browsers which do not yet support WEBP
 » Performance optimizations to the Elements template to be in line with the latest updates to the Chrome browser
 » It is now possible to add and adjust the Zoom Read Snap areas in the Elements template via the edit mode inside the desktop publisher
 » Added more settings to the GDPR form for the Zine and Elements templates


August
 » Fixed an issue where Zine was rendering text from the next page in very specific scenarios when optimizing the output using flatten
 » A number of improvements for text conversion accuracy to the Elements template
 » Fixed a number of issues related to manually importing text using the reflowable template
 » Fixed an issue where thumbnails were not showing properly in landscape publications when using the Zine template
 » A new dashboard list view has been added, making it easier to access analytics, heatmaps and options for sharing/embedding


July
 » Improved support for Chinese, Japanese, Korean and Thai language in the Elements template
 » It is now possible to share a publication workspace with another FlowPaper user (available for the installed version of the desktop publisher).
   This is available for Creative and Team license holders.
 » Improvements to the 'read on' mode available in the Elements template
 » Fixed an issue where added iframe content wouldn't use the "maximize on click" functionality properly
 » Fix for Right to left publications not loading properly in some scenarios when using the Zine template
 » It is now possible to add and customize a GDPR/Cookie Consent message prior to showing your publication
 » Compatibility corrections for Apple's latest EPUB3 format
 » Fixed an issue where downloading an Elements publication as compressed zip file for custom domain distribution failed in the
   web version of the desktop publisher
 » A number of WCAG 2.1/Accessibility improvements added to the Elements template
 » Improvements to text grouping which improves reading order detection


June
 » Search is now available in the reflowable/mobile first templates
 » All non-iOS devices now supporting flip in mobile portrait when using Elements
 » Its now possible to set link color in Elements publications
 » Its now possible to let added audio keep playing when turning pages (great for bacground music for example)
 » Elements publicatinos now support slideshows
 » It is now possible to generate a publication preview in video format via the desktop publisher that can be shared on social media networks or
   inside an email


May
 » Various performance and stability improvements across all templates
 » It is now possible to collect and view analytics for your cloud hosted publications via the FlowPaper account area
 » Zine now supports the accelerated 3D mode in mobile mode which means page transitions will be even smoother on smaller devices
 » Improved export for OCR documents with hidden text to allow scanned documents to be better searched


March
 » Fix for Zine where entering full screen wasn't going into spreads on desktop if the preview started as a one page preview
 » Added support for text-stroke in FlowPaper Elements
 » Performance fixes for Zine
 » Increased accuracy for text with different opacity settings
 » Increased text accuracy for FlowPaper Elements
 » Various UX improvements for the mobile-first/reflow template


January
 » The reflow editor now allows font family and font colors to be set on text fragments inside blocks
 » Added an entirely new page navigator for the re:flow template which lets the user swipe in a way we hope encourages
   your readers to read even more of your publications!
 » New navigation control for the reflow publications added. The new navigation control lets you drag and
   preview whats on the next page when reading
 » Improvements and adjustments for OSX Big Sur
 » Various library dependencies updated


September
 » Clicking anywhere in the viewer when in miniature mode now expands the viewer into full screen
 » Various fixes for heatmap data collection in FlowPaper Elements
 » Heat maps are now available for re:flow publications
 » FlowPaper now supports Google Analytics 4 via Google Tag Manager
 » It is now possible to create publications from scratch via the dashboard using the Re:flow template
 » You can now customize your cloud url via the account area
 » It is now possible to add image galleries to Zine publications
 » A number of issues related to dragging/dropping elements in the Re:flow template has been fixed
 » It is now possible to make columns the same size using a new toolbar icon in Re:flow
 » New block templates added to the re:flow template
 » Electron framework updated (Desktop Publisher)
 » User changes are now kept in Elements publications when using the "add pages" functionality to add new
   PDF pages
 » FlowPaper Elements now supports custom page labels
 » A number of fixes applied to the replace/insert pages routines
 » Added the option of adding pages after a selected page in the page navigator
 » Corrected a number of issues related to deleting and adding pages to existing publications


August
 » Reflow now tracks events on links clicked via Google Analytics
 » It is now possible to link fixed layout pages and extracted areas in reflowable publications
 » It is now possible to export all images on a PDF page by right clicking on the page and choosing export (via the Reflow template)
 » Improvements to the parallax scroll effects in the reflow template
 » It is now possible to add new text to publications created with the Elements template
 » It is now possible to configure fonts and backgrounds in the expanded content editor for FlowPaper Elements
 » Fix for starting with TOC open in the Elements template where some of the buttons were hidden incorrectly
 » Fixed an issue in the Elements template where rotated texts would in rare cases become incorrectly transformed
 » Adjustments for twitter which has changed how previews are shown in the feed
 » It is now possible to invert the colors of the audio player


July
 » Added the ability to customize the video preview for embedded videos
 » Added the ability to remove PDF pages inside the desktop publisher
 » Improved page/drag animations for FlowPaper Elements
 » It is now possible to zoom in and out in the content editor in the desktop publisher
 » General bug fixes and improvements in rendering accuracy following reports submitted to us
 » It is now possible to add "expanded content" to pages in the Elements template.
 » Improved audio player (style and functionality)
 » Heatmaps are now available in FlowPaper Elements publications
 » Added popover support for Elements publications


June
 » It is now possible to collect heatmap data on your visitors reading behaviour and engagement. The setting for this can be found on the left-hand
   side in the settings (click on the cog). Heatmap data can subsequently be found in the account area after a publication has been made live
 » FlowPaper elements has a new improved accesibility mode that lets your visitors follow the progress of the read out loud agent as text is being
   read out via audio. The accesibility template has been made available via the dashboard.


May
 » Fixed so that links in footnotes are correctly navigating when clicked (Re:flow template)
 » It is now possible to add in your custom tax/address details in the invoice section of the account area
 » Improved the match similar functionality for EPUB3 font substitution
 » Support for fallback-font added to FlowPaper elements for improved font accuracy
 » Fixed an issue where some links were not always clickable in Elements
 » Improved accuracy in text clipping when covered by images
 » It is now possible to add popover images to Elements and Zine publications


April
 » A number of improvements to the "Global Styles" section of the re:flow template including the ability to add Google fonts to your publication
 » It is now possible to add videos as backgrounds to your re:flow publications
 » It is now possible to adjust the padding in tables by dragging them
 » It is now possible to resize the height of blocks in the reflowable web page builder template by dragging them
 » Improved the stability and performance in rendering the thumbnails on the left which significantly helps when working with the re:flow template
 » Added the ability to switch working directory from the top menu in cases where your main drive is too small or you just want to store your publications
   on a different location such as a network drive
 » Added the ability to auto play audio clips when a user turns to a page with the ability to control play and pause via the toolbar
 » Various stability & performance improvements
 » Added the option to bind the browser back and forward button to in-publication navigation for Zine & Elements
 » It is now possible to replace pages in 'Elements' publications
 » It is now possible to add new pages to your publication (use the page navigator and right click on the page where you want to add your new page(s))
 » Improved parallax style maing it easier to get nice looking start blocks for your responsive web publications
 » Improved output quality in EPUB3 


March
 » It is now possible to update links and other elements after adding them to publications, without having to re-add them again
 » We have added the ability to collect leads to your publications. You can find the settings for leads in the publishing dialogue and in the accuont area
 » It is now possible to add audio-clips to your publications through the desktop publisher


February
 » TOC will now close on small screens to make sure the underlying content is visible after navigating
 » It is now possible to add custom CSS rules to the publications (Elements & Zine)
 » Fixed a memory leak which prevented very large publications from processing properly
 » It is now possible to use branding logos up to 250 px wide


January
 » We've upgraded our account system & back end-system over the christmas to allow new functionality to be deployed faster
 » Fixed an issue for Zine where the publication wouldn't rescale in all cases when going into full screen from an iframed web page
 » Improved the accuracy in font rendering regarding italic/bold if the font has those properties embedded as part of the font.
 » Fix for self-hosted videos not showing when password was applied to the publication
 » Fix to improve the download of multiple PDF files at the same time in Zine when using split mode


November
 » You enable and control printing restrictions in the Elements template
 » Fixed an issue where navigating to the last page wouldn't place the publication in the centre


October
 » Chrome has changed its behaviour of custom bold fonts so FlowPaper has now aligned with the change to improve accuracy in
   font-rendering
 » Animations now available in the reflowable template
 » Dashboard rearranged to make it easier to distinguish which template that is Zine and Elements based
 » FlowPaper Elements publications now support image and video animations
 » Improvements to copy paste
 » Improved text rendering quality on low resolution displays (Zine)


August
 » Various smaller corrections for the web page builder
 » Fixed an issue where the thumbnail wasn't being re-rendered when a page was replaced in a publication
 » Fixed an issue related to corrupt TOC items not rendering properly
 » Added a setting for allowing page interactive page corners to be turned on or off in Zine
 » Improvements to handling of bullet points in reflowable publications
 » Improvements to the optimization routine (flatten & compress) for Zine and Elements
 » Improved ePUB3 compatibility for fixed layout
 » added the ability to switch tag type on elements in edit mode for elements publication
 » Improved WCAG 2.0 compatibility
 » Newly added columns now becoming equal size to the other columns in Reflow
 » Fixed an issue where having RTL set in certain publications would render the font incorrectly


June
 » Fixed an issue where swiping in reflow would be prevented in some scenarios
 » Improved text-clipping optimizations for images with semi transparent image overlays
 » The desktop publisher now supports saving elements templates
 » Fixed an issue where the backgroud image wasn't copied accross properly when saved as part of a template (Zine)
 » It is now possible to disable mouse wheel zooming in FlowPaper Elements
 » It is now possible to force continuous scrolling on touch devices when using the reflowable templates
 » Improved support for search matching Japanese and Chinese languages in Zine and Classic
 » Fixed an issue where binding a link to an image in reflowable publications wouldn't work
 » Disabling page shadows in Zine publications now also disables the 'glow'-style shadow that normally appears around the publication
 » Improved clipping tests for images covering texts in Zine and Elements
 » FlowPaper Zine now using jQuery 3.4.1
 » Fix for nav buttons in FlowPaper Elements where they were not showing/hiding properly at start/end of the publication
 » Fixed an issue where mailto links were opening a new window/tab unnecessarily in Zine
 » FlowPaper elements now support description in the meta data for twitter cards and facebook sharing
 » Fixed an issue where video previews were not being displayed properly when using authentication/password protection in Zine
 » Fixed an issue in Zine for iOS devices where the background would shine through some pages in deep zoom when compressed mode was on


May
 » Fixed an issue where the imported, downloadable PDF wouldn't be overwritten properly even though that option would be set (Zine)
 » The elements viewer now supports a new 'Snap Reader' mode which lets the reader zoom in and snap to a paragraph without having to zoom and pinch
 » Fixed an issue related to printing on Windows where the page wouldn't auto fit the page size automatically on Windows due to a change in Chrome
 » Improved SEO output for the Zine template
 » Fixed a few navigational glitches for the Elements/flip template
 » Improved touch gestures handling in FlowPaper elements
 » The elements template now supports 'transparent' as background color


April
 » PDF files attached to publications will now download instead of open in a new tab (Zine)
 » Improved text accuracy for FlowPaper Elements Publications
 » Improved error handling with network latency issues in Zine
 » Fixed an issue related to tracking downloads in Zine
 » Fixed an issue where some interactive elements would be slightly mispositioned in certain landscape publications (Zine)
 » Enabled TOC for mobile and tablets in Zine


March
 » Its now possible to export all images from a page when exporting reflowable pages using one of the reflow templates
 » Its now possible to use a fully compliant web font for body text when re-flowing text in publications. This allows all text to be editable and for new text to be
   added even if the original font is incomplete
 » Fixed an issue where pinching out sometimes caused the viewer to get stuck half way (Elements)
 » We now support exporting to Apple News format for all Pro license holders
 » Improved handling of texts that are both scaled & rotated in FlowPaper Elements
 » Improved text accuracy for rotated texts in epub3
 » Improved the general quality of the flatten/compress output (Zine/Elements)
 » Fixed an issue where scrolling on pages with Zine publications using certain styles cloud cause the text to be incorrectly positioned
 » Improved handling for Type3 Fonts in FlowPaper Elements
 » Major improvements to the accuracy of clipping and hidden text handling in both Zine, Elements and Reflowable publications
 » Fixed an issue where it would be impossible to hit some of the links at the very bottom in the the Elements viewer while using the new balloon style slider
 » Improved support for searching in RTL (right to left) documents
 » Desktop Publisher runtime framework (Electron) updated for improved stability and performance
 » Improved link detection for Zine and Elements
 » New version of PDF2JSON available (0.70). Only ASP.NET and PHP users should update PDF2JSON. This update does not affect
   desktop publisher users


February
 » Added a new slider (balloon style) slider to the Elements template
 » Now always assuming to use embedded font sin fixed layout Elements publications
 » Fixed a uncommon graphical error where the background would shine through on Chrome in Android when using Zine in
   very high zoom factor
 » Fixed an issue where the starting page wouldn't work when set to 'Current Page' as a user was sharing the publication using the
   social sharing dialogue (Zine)
 » Fixed an issue where search wouldn't go past page 20 in certain publications with corrupt texts
 » Fixed an issue where some elements publications wouldn't navigate properly after using reflow.gotoSection
 » Fixed an issue where a small thin white line would appear in the middle of Elements publications in certain screen resolutions
 » Fixed an issue where printing wasn't working when not using the compressed/flattened mode in HTML5 (Zine)
 » Improved support for searching Hebrew and Arabic publications created in Zine
 » It is now possible to change font-family on body text that has been imported into reflowable publications 
 » Fixed an issue where some non-embedded fonts were not having their bold & italic coming through properly in Elements
 » Fixed an issue where link-popovers wouldn't work in full screen
 » Improved support for ligatures in the Elements template where some texts with ligatures had incorrect spacing
 » Improved various minor graphics glitches in Elements
 » Fix for incorrectly resizing the viewer when playing video in iOS in certain resolutions
 » Fixed an issue where Chrome on Android wouldn't adjust properly when rotated in reverse direction (Zine)
 » Improved handling of italic fonts in Elements and when using flatten/compress (Zine+Elements)
 » Fix for printing single pages (when specifying single page numbers) in Zine
 » Fix for currupt Norwegian language file (Zine)
 » It is now possible to change the color on the table of contents button in the reflowable templates
 » It is now possible to disable the URL from showing in the social sharing dialogue (Zine+Elements)


January
 » It is now possible to replace pages in Zine publications without loosing changes to added links, videos etc.
 » Fixed an issue where re-opening Elements publications with a TOC/Bookmarks would render fonts incorrectly
 » Fixed an issue where having a different output directory than standard void prevent cloud uploads
 » Fixed an issue where pages were not centering properly when zoomed in when using pages of different sizes
 » Fixed an issue where sharing Elements publications on Facebook would cause the license key check to fail
 » Improved space handling in Elements publications
 » Fixed an issue where the preview mode would force the viewer into two-page mode on mobile even if in landscape
 » Fixed an issue where Google Analytics events would be recorded when viewing publications inside the desktop publisher
 » Fixed an issue where scrolling to the bottom in Portrait while using the Zine viewer wouldn't show the last page completely in certain
   scenarios
 » Improved performance when pages are changed at the same time as glyphs being rendered in the Zine viewer
 » FlowPaper Elements publications now support nested (tree with branches) table of contents menus
 » Now tracking events to Google Analytics for when videos are being played
 » Now tracking events to Google Analytics for when PDFs are downloaded via the toolbar
 » Improved text accuracy in EPUB/EPUB3 for texts where the characters are spaced out using multiple whitespaces
 » Improved search abstract texts in their accuracy (in Zine)
 » Improved partial swiping for reflowable publications
 » Fixed an issue where expanding the left panel would shrink the publication incorrectly in Elements
 » Fixed a regression issue where in-publication links wouldn't navigate properly in Elements publications
 » Fixed an issue where the nav buttons would be slightly mispositioned in the Elements viewer when resized on the first page


December
 » Links added with icons are now better represented with a round background
 » Fixed an issue where dropping elements between images in reflowable mode would not work accurately
 » Fixed an issue where it wasn't possible to use HTML4 format instead of HTML5 in the desktop publisher
 » Hotfix for Chrome 67 related to the full screen api changing slightly


November
 » A number of new video tutorials were added at https://flowpaper.com/docs/
 » Improved device swipe accuracy in the reflowable templates
 » Fixed a regression issue related to opening new links in a new window for the Elements viewer
 » Include a preview image for reflowable publications shared on Twitter
 » Removed all references to flash embedding in the Zine viewer
 » Added support for hiding/showing scroll hints in the reflow viewer
 » Minor corrections to the time spent calculator for Google Analytics
 » Minor corrections to how the path to the current document is calculated when recording Google Analytics events
 » Fixed an issue where it wasn't possible to enable the full screen button on iPad and iPhone via the desktop publisher
 » External link clicks included in the statistics for Google Analytics
 » Fixed an issue where it wasn't possible to link images in reflowable publications
 » Fixed an issue where the story footer wasn't being saved
 » Fixed an issue where stories were not showing the footer in mobile devices
 » Fixed an issue where Elements publications with improved SEO turned on wouldn't detect headers if there was no TOC present
 » Fixed an issue where clicking on a link and subsequently trying to zoom in failed in Zine
 » Improved clipping accuracy in Zine and Elements publications
 » Improved the handling of differently sized pages in Zine
 » Improved space injection handling for reflowable publications
 » The elements-slide & the The elements-flip modes now starts in the middle if used with 'Single Page First'


October
 » Improved device rotation adjustments in reflow mode
 » Improved accuracy to the flatten/compressed import optimizations in the desktop publisher
 » Fixed an issue where some page sizes would render incorrect thumbnail sizes in Zine
 » A new 'Social Media Story' template has been added to the desktop publisher that allows you to export snippets from your publications into stories that can be shared on social media web sites such as Instagram and Snapchat
 » Fixed an issue where complex publications would run into a max callstack scenario when analysed as a reflowable publication
 » Fixed an issue where the source page wasn't referenced properly in the time spent analytics tracker
 » Added support for right-to-left (RTL) reading to Zine in the desktop publisher
 » Added support for opengraph to the Elements and Reflowable templates
 » Converting PDF to Adobe Flash powered publications is no longer supported in the desktop publisher, resulting in a much smaller install file
 » Added support for Twitter cards which improves the look of publication shared on twitter (Zine+Elements)
 » Zine now automatically detects when shown in an iframe and will show a miniature instead of the full publication, allowing the user to view the publication in full screen for improved UX
 » Now supporting popover texts in reflowable publications


September
 » Fixed an issue where disabling search and page number wasn't hiding the related controls in Zine
 » The publishing dialogue has been made easier to use 
 » Performance improvements for editing reflowable publications
 » Fixed a regression error related to publishing ePub3
 » Added more style settings for reflow publications
 » Added the ability to remove all items it the table of contents editor
 » Added the ability to configure link target for all templates in the desktop publisher
 » Added support for embedding iframes into web publications via the desktop publisher
 » Fixed an issue where it wouldn't be possible to link to the last pages in two fold publications if using the Elements template
 » Elements publications now support thumbnail navigation
 » Fixed an issue where two fold publications would not render the last page properly in certain Elements publications
 » Added link icons for for both Zine and Elements publications
 » Added link popover texts for for both Zine and Elements publications
 » Its now possible to edit link, image and video properties after they have been set instead of recreating the element
 » Added 'Time Spent' to the Google Analytics that can be collected using FlowPaper for both Zine, Elements and digital cross platofrm editions
 » Added a new FlowPaper Elements template called 'Folded Pages' which looks like a tri-fold in its look but allows horizontal scrolling
 » Added more image output quality options for the Elements and Zine viewer
 » Fixed an issue where IE11 was only printing the first page in some scenarios
 » Improved auto detection of email links in Zine


August
 » Added page sounds as a setting to Zine
 » Fixed smaller regression issues related to adding and resizing external images into reflow publications
 » Fixed an issue where the background would be black when printing flattened/compressed Zine publications in Firefox
 » Fixed an issue where pinching into fixed layout pages in reflow would cause them to misposition in iOS
 » Added the option to add all pages as reflowable or fixed layout in the web page builder. Right click on the pages and choose 'Add all as ..'
 » Fix the arrows in Zine sometimes wrapping into a new line incorrectly
 » Added the ability to change the arrow size in Zine publications
 » Fixed an issue where some links added to Elements publications were not clickable in mobile safari
 » Fixed an issue where the start page would be rendered as 404 if using 'Improved SEO' together with 'Use document name as file name'
 » Fixed an issue where hovering over images with an additional mouseover image would fail to work in some scenarios
 » Fixed an issue where some links added to Elements publications were not opening when embedded in an iframe and when browsing using mobile Safari
 » Improved WCAG support for the Elements viewer
 » Improved UX for the reflow mode to make it easier to import and select parts of a page to import into the publication
 » Fixed an issue where invisible text was exported in the web page builder template
 » Fixed an issue where annotation links were not supported into fixed layout pages for the web page builder
 » Fixed an issue where parts of pages were not visible in edit mode when using the adjust two fold setting for Zine
 » Fixed a regression issue where the bottom toolbar template would be missing its top margin in Zine
 » Fixed an issue where using go to page in Elements when using landscape mode would navigate to the wrong page number


June
 » Various smaller corrections to the new reflow templates
 » Fixed an issue where Max Zoom wasn't being saved properly for the Zine template in the Desktop Publisher
 » Added support for oEmbed in the Desktop Publisher
 » Improved header detection when reflowing text in the desktop publisher
 » Improved swipe support for reflowable publications with partial dragging
 » Improved drag/drop support in the reflow template
 » Fixed an issue where attached PDF files would fail to download if the publication had publication protection enabled
 » Fixed an issue where the authentication would get re-triggered when navigating back on iPad after opening a link
 » Improved size margins for tablets when using the Zine template
 » The Zine viewer is now vertically centered in the middle when the bottom thumb nails are disabled
 » Fixed an issue where two-fold publications would get their images incorrectly positioned in the reflow editor
 » Added a new EPUB setting for controlling spread (auto, none, portrait, both)
 » Performance improvements for Android when pinching (Zine)
 » Added the line-wrap style setting to the styles that can be modified in reflowable publications
 » Fixed an issue where the fixed layout area background would turn black if selected outside of a page boundary in reflowable publications
 » Fixed an issue where two-fold publications wouldn't extract fixed layout regions correctly in reflowable publications
 » Increased prev/next nav button size for tablets (Zine)
 » Improved security checks for the server side scripts (Zine, Classic)
 » Fixed an issue where the table of contents wasn't linking up properly in Elements publications
 » Fixed an issue where links on the first page of fixed layout Elements publications would be unadjusted in scale


May
 » We have added an entirely new web page builder which lets you export content out of your PDF documents into responsive web pages
   The template is available via the dashboard and exports your content in HTML5 format with fonts and graphics fully preserved
 » The Zine viewer now supports downloading the original PDF file on iPad and iPhone and its toolbar has been made more
   responsive
 » Fixed an issue where some publications with very, very, very large page sizes would fail to render in Zine
 » Overall improvements to the flatten/compress output quality
 » Fixed an issue where some resources were not being copied properly from the desktop publisher
 » Switch to use 127.0.0.1 instead of localhost as local test address as some OSX instances have shown issues to resolve
   localhost properly
 » Fixed an issue where cloud publications with password wasn't working in Elements publications
 » Fixed so that the branding url follows the same opening logic as external urls (new tab per default)
 » Fixed an issue where searching when zoomed in would fail in Zine
 » Added the option to include an additional table of contents page to EPUB exports or not
 » Fixed an issue where the Elements viewer was always assuming https for youtube even when running non-encrypted http sessions
 » Fixed an issue where embedded vidoes in the Elements viewer were not showing the close button properly in smaller devices


April
 » Fixed an issue where supplying a start page with odd number when in landscape would start at wrong page (Zine)
 » Improved the dashboard with preview links for each template
 » Improved saving progress when using the reflow mode
 » The elements viewer is now supporting text gradients in fixed layout
 » Added support for Wistia videos
 » Added checks for recreating the preview when users has cleared the output directory after publishing the final copy and decides to continue working
 » Improved image injection in reflow mode
 » Fixed an issue where setting an incorrect background color would cause the viewer to fail to load (Zine, Elements)
 » Moved the editing tools out of the main area to give more space for editing and added new shortcuts for entering and exiting the edit mode
 » Improvements to emulation
 » Improvements in switching into edit mode
 » The desktop publisher now lets you see your style changes directly without having to press apply settings
 » Fixed an issue where the template having the bottom toolbar didn't use the correct background color behind the toolbar
 » Added linkedin to the social sharing popup in Elements
 » Added rel=prev and rel=next to navigation buttons in the Elements viewer template
 » Fixed a regression issue related to IE11 in FlowPaper Elements
 » Fixed an issue related to two-fold publications not being adjusted properly when the page sizes are slightly different
 » We have raised the image output quality when using the maximum setting in the conversion profile for Zine


March
 » Its now possible to set background alpha color for Zine (Desktop Publisher)
 » Fixed an issue where the alternating lines animation was running incorrectly in Safari (Elements, Desktop Publisher)
 » Fixed an issue where some fixed-layout pages were incorrectly adjusted in the viewr when using Reflow (Desktop Publisher)
 » Fixed an issue where some value sliders in the desktop publisher did not update when new values were set (Desktop Publisher)
 » Fixed an issue where some fixed layout areas in reflowable publications were not scaling properly (Desktop Publisher)
 » Fixed an issue where some reflowed texts were using header tags as opposed to body text when larger than the detected header (Desktop Publisher)
 » Fixed an issue where the --proxyserver= argument was not being respected (Desktop Publisher)
 » Improvements to the Zine template that has the toolbar in the bottom (Desktop Publisher)
 » The main UI has been updated and now hides some of the settings under a new left menu which gives more screen area to view the publications (Desktop Publisher)
 » Improved font loading in the Elements viewer (Desktop Publisher)
 » Overall stability improvements to the system libraries involved in the desktop publisher (Desktop Publisher)
 » Improvements to section matching in reflow/vertical mode (Desktop Publisher)
 » Improved error handling for broken bookmark links (Desktop Publisher)
 » Exporting hidden text in Elements will now keep the text searchable but render invisible (Desktop Publisher)
 » FlowPaper elements now compresses output in order to save space when transferred (Desktop Publisher)
 » The desktop publisher now has a new dashboard screen where you can access your previous publications as well as a new template guide with easier access to the templates that are available (Desktop Publisher)




February
 » Its now possible to change icon color for the icons in the Elements viewer (Desktop Publisher)
 » Fixed an issue where two-fold publications would not get their fonts exported entirely correct in some cases (Desktop Publisher)
 » Corrected a memory leak in the desktop publisher (Desktop Publisher)
 » Fixed an issue where the zine template wasn't being copied accross properly in a specific scenario (Desktop Publisher)
 » Fixed an issue where search matches were sometimes not being highlighted properly when more than one word occurred in the same fragment (Zine)
 » Fixed an issue where cloud publications would not upload properly when using Reflow (Desktop Publisher)
 » Fixed an issue where some fonts would be missed when loading a publication at a high starting page (Desktop Publisher)
 » Fixed an issue where the viewer would not load in some early versions of IE 10 in compressed/flattened mode (Desktop Publisher)
 » Fixed an issue where some invisible text were being exported in Zine publications when flatten/compress was turned on (Desktop Publisher)
 » Improved the maximum viewing area when not using the bottom thumb nails and increased rendering canvas quality slightly when using flatten/compress (Zine)
 » Improved styling for the search abstract (Zine)
 » Improved double click handling in Zine (Desktop Publisher)
 » Improved support for devices supporting both touch and mouse pointers (like Microsoft Surface) in Zine (Desktop Publisher)
 » Improved responsiveness rotation support for older Android devices (Zine)
 » Improved accuracy in the FlowPaper elements viewer for header tags (Desktop Publisher)
 » Improved accuracy in the FlowPaper elements viewer for bold/italic font tags (Desktop Publisher)
 » Improved space injection accuracy for fixed layout areas and pages in reflowable publications (Desktop Publisher)
 » Improved the loader position for mobile devices (Zine)
 » Performance improvements for very large publications (Zine)


January
 » It is now possible to password protect cloud publications via the desktop publisher (Desktop Publisher)
 » Fixed a regression error related to the viewer not showing in full when the search abstract was visible (Zine)
 » Zine in the desktop publisher will now produce binary JSON output which compresses output further and provides improved compatibility with more web servers (Desktop Publisher)
 » Fixed an issue where the TOC was being lost when switching between 10 pages and all pages in Zine mode (Desktop Publisher)
 » Enabled search in smaller mobile devices and improved search UX (Zine, Desktop Publisher)
 » Improved error handling (Desktop Publisher)
 » Fixed an issue where clicking full screen again when already in full screen did not exist the full screen mode when using the Elements viewer (Desktop Publisher)
 » Improved fixed layout selections in reflow mode (Desktop Publisher)
 » Improved indent handing when reflowing publications (Desktop Publisher)
 » Its now possible to include/exclude specific images without making manual selections when editing page layouts in the reflowable mode (Desktop Publisher)
 » Improved max zoom via pinching for Android devices (Zine)
 » Improved max zoom via pinching for Android and iOS devices (Elements)
 » Improved full screen compatibility for iOS devices in FlowPaper Elements (Desktop Publisher)
 » Improved font loading checks for Chrome 60+ to ensure all fonts are loaded before adjusting text sizes (Elements)
 » Fixed an issue where fonts were not being converted properly when switching from non-flattened to flattened mode in Zine (Desktop Publisher)
 » Fixed an issue where bookmarks were not being resolved properly in some cases (Zine)


December
 » Improved spaced injection for the reflowable mode (Desktop Publisher)
 » Reduced the number of shapes and images that are exported in reflow mode, ignoring extremely small shapes and images (Desktop Publisher)
 » Added the option to export hidden text in the Elements viewer modes (Desktop Publisher)
 » Added the option to rasterize pages (Desktop Publisher)
 » Its now possible to navigate to a page in the viewer by double clicking the numbnails (Desktop Publisher)
 » Added a default min width for static regions in the reflow mode (Desktop Publisher)
 » Improved swipe for reflow (vertical template, Desktop Publisher)
 » Improved font loading stability and fixed a regression issue related to IE 9 and updating the current page number via the hash (#page) parameter (Zine)
 » Reduced the number of font formats exported from the Elements viewer (Desktop Publisher)
 » Orientation fix for printing landscape documents with annotations (Classic)
 » Improved font loading speed for the reflow vertical template (Desktop Publisher)
 » Improved font loading speed for the elements publications (Desktop Publisher)
 » Improved print margin output for Safari when using flattened/compressed mode (Zine/Desktop Publisher)
 » Fixed an issue where ligatures were incorrectly exported when matching to similar fonts (Desktop Publisher)
 » Fixed an issue where PDFs with capital PDF in the file name got their original file uploaded incorrectly in some cases
 » Fixed an issue where print scaling was incorrect in Zine when using flatten/compress (Desktop Publisher)
 » Fixed an issue where joining multiple PDF files and selecting the Elements viewer caused the viewer to fail to load (Desktop Publisher)
 » Fixed an issue where branding url wasn't adding http/https if it was missing (Desktop Publisher)
 » Fixed an issue where self hosted video keept restarting incorrectly (Zine, Desktop Publisher)
 » Fixed an issue where going from non-flattened/compressed mode to flattened/compressed mode caused output to become corrupt in some scenarios (Desktop Publisher)
 » Updated the locale settings for Zine to include more labels (Desktop Publisher)


November
 » Ongoing improvements and corrections to the reflow (vertical) mode (Desktop Publisher)
 » Electron framework updated (Desktop Publisher)
 » Fixed an issue where the desktop publisher got locked when reloading the Elements viewer continously (Desktop Publisher)
 » Fixed a regression issue for Safari where using HTML rendered a lower quality (Zine)
 » Fixed an issue where printing compressed/flattened publications caused the output not to fit in Safari (Zine, Desktop Publisher)
 » Fixed an issue where external urls were not opened properly when loaded inside an iframe on iOS devices (Zine)
 » Improvements to image loading in Zine when using compress/flatten (Desktop Publisher)
 » Improved pixel accuracy accross Zine and Elements publications via the desktop publisher (Desktop Publisher)


October
 » Added support for YouTube's short url variant (youtu.be) (Desktop Publisher)
 » Added the ability to export invisible text for Zine (Desktop Publisher)
 » Improved rendering for Zine in Firefox (Desktop Publisher)
 » Zine is now able to show the outline of a document when only providing a PDF file (Zine) 
 » Improved page loading to avoid pages being interrupted incorrectly on slow network connections (Zine) 
 » Improved output rendering quality for two-fold publications in flatten/compressed mode (Desktop Publisher, Zine)
 » It is now possible to define where sections should start when using the Reflowable mode (Desktop Publisher)
 » Its now possible to go into full screen (simulated) in iOS when using Elements (Desktop Publisher)
 » Various improvements to the editing mode for Elements (Desktop Publisher)
 » Improvements to the reflow TOC menu that pops up from the top right corner (Desktop Publisher)
 » Improved font loading for IE / Edge when using flatten/compress (Zine, Desktop Publisher) 
 » Zine now updates the #page hash parameter when navigating, making it easier to return to the last read page when returning to the viewer (Zine)
 » Improved bottom margin for Zine when using the viewer without bottom thumb nails (Desktop Publisher)
 » Improved the Elements mode so that fonts won't need re-conversion when opening existing publications (Desktop Publisher)
 » Fixed an issue where the TOC changes were not being saved when using the Elements viewer after reopening a existing publication (Desktop Publisher)
 » Fixed an issue where the publication title was incorrectly escaped when publication preview was set (Zine)
 » Fixed an issue where some fonts went missing after changing output settings under Zine (Desktop Publisher)
 » Fixed an issue where PDFs using non-embedded standard fonts where texts that had italic were not having their italic set properly (Zine)
 » Fixed an issue where the zine viewer would get 35px padding area at the bottom of the viewer after a resize occurred for some scenarios (Zine)
 » Fixed an issue where uploading to the cloud service failed in some cases where the file got locked by the file system (Desktop Publisher)
 » Fixed an issue where disabling the bottom thumbnails in Zine would render a margin too small in some browsers (Desktop Publisher) 
 » Fixed an issue where importing multiple files at the same time would import the files in wrong order in some cases (Desktop Publisher)
 » Fixed an issue where relatively positioned viewers were causing the text to be mispositioned in some cases (Zine)
 » Fixed an issue where soft hyphens were appearing incorrectly in FlowPaper Elements (Desktop Publisher)
 » Fixed an issue where uploading the same publication twice to FlowPaper cloud would fail to refresh the publication (Desktop Publisher)


September
 » Cosmetical improvements to the 3D page turn effect (Zine)
 » The vertical template will now scroll on devices with larger display width than 500px (Elements)
 » Its now possible to deep link into reflowable vertical publications using the #section hash (Elements)
 » Improved text quality when changing pages in Zine while rendering in 3D mode (Zine)
 » Improved loading speed for WebGL in Zine mode (Zine)
 » Improved height calculation for the bookmarks/outline panel in Zine (Zine)
 » Improved the reflow template so that fixed layout pages are not shown until rescaled (Elements)
 » Improved preview quality for sharing publications on Facebook / Twitter via opengraph (Desktop Publisher) 
 » Improved drawing accuracy for the drawing & selection tool (edit mode) (Desktop Publisher)
 » Additional storage can now be purchased from the account/cloud publications page (Web) 
 » Improved support for iOS11 (Zine)
 » Added support for Parallax pages (useful for pages with large backgrounds) to the vertical scrolling Reflow mode (Desktop Publisher)
 » Improved the Elements viewer further to avoid flickering in some cases when changing page and images were being loaded from cache (Desktop Publisher)
 » Fixed an issue where the last page got duplicated incorrectly when using Elements after changing some of the settings (Desktop Publisher)
 » Fixed an issue where some standard fonts were not having their bold/italic set properly when using the flatten/compress option in Zine (Desktop Publisher)
 » Fixed an issue where navigating using the hamburger menu with SEO optimizations turned on caused the viewer to freeze in Chrome (Elements)
 » Fixed an issue where fixed layout areas were not being centered properly in iOS (Reflow)
 » Fixed an issue where some standard fonts were not being used properly when using flatten/compress (Zine)
 » Fixed an issue where holding down left/right arrows and not releasing to navigate would cause graphical glitches (Zine)
 » Fixed an issue where some images were not being exported properly in the new reflow template
 » Fixed an issue where vertical/reflowable publications were not using Google Analytics tracking properly (Desktop Publisher)


August
 » Improved the font loading in the vertical reflow template (Reflow)
 » Now displaying source page when hovering over text in reflowable publications (Desktop Publisher)
 » Improved progress information for two-fold publications (Desktop Publisher)
 » Improved ePub3 output temlpate (Desktop Publisher)
 » Further ePub3 validation improvements for iBook store (Desktop Publisher)
 » The Elements viewer has been further improved to handle scenarios with differently sized pages better (Desktop Publisher)
 » The vertical reflow mode now allows swiping beween sections as opposed to scrolling through all sections at once (Desktop Publisher)
 » New page animation added for Zine ("3D, Bend") (Zine)
 » onCurrentPageChanged events now dispatched in vertical (reflow/fixed layout) mode (Desktop Publisher)
 » Improved shadows in Zine 3D modes (Zine)
 » Its now possible to change email in the account area (Web) 
 » Its now possbible to resize images in Adaptive and Reflowable editing mode (Desktop Publisher)
 » Support for opengraph added to Zine to support preview images when sharing on Facebook / Twitter (Zine)
 » Improvements to text clipping (Zine+Adaptive+Reflow)
 » Improved page loading in Zine (Desktop Publisher)
 » Its now possible to hide/show the top bar in vertical reflow mode (Desktop Publisher)
 » Its now possible to change font size on text in Elements publications (Desktop Publisher)
 » Its now possible to change font color on text in Elements publications (Desktop Publisher)
 » Speeded the desktop publisher when going into edit mode (Desktop Publisher)
 » Improved sub-pixel rounding accuracy for Safari & iOS in the new reflow template (Desktop Publisher)
 » Its now possible to start drawing into any direction when adding interactive elements (Desktop Publisher)
 » WebGL 3D shadows for touch devices disabled to improve performance in flipping pages on low CPU devices (Zine)
 » The desktop publisher now allows multiple domain names to be entered at the same time for Creative and Creative Team license holders. 
   Separate the domains with semi colon (;) to generate keys for multiple domains at the same time (Desktop Publisher)
 » Fixed an issue where the reflowable mode would fail on texts that were filled with patterns (Desktop Publisher) 
 » Fixed an issue where some image resources were incorrectly cleared when switching from 10 pages to all in Zine (Desktop Publisher) 
 » Fixed an issue where links/videos/images added to two fold publications would have them duplicated in certain scenarios (Desktop Publisher) 
 » Fixed an issue where two-fold Elements publications were not being adjusted when reopening them (Desktop Publisher)
 » Fixed an issue where unicode characters were incorrectly unescaped in the Zine bookmark list (Desktop Publisher)
 » Fixed an issue where differently sized pages would default to their unadjusted dimensions in some scenarios causing the annotations marks to be mispositioned (Classic)
 » Fixed an issue where the TOC background color wasn't being set when using Zine in portrait mode (Desktop Publisher)
 » Fixed an issue where the viewer wasn't navigating to sections properly in vertical reflow mode (Desktop Publisher)
 » Fixed an issue where some fonts were incorrectly repaired as part of the conversion when adding missing spaces (Elements, Desktop Publisher) 
 » Fixed an issue where phone numbers were incorrectly detected by Microsoft Edge browsers (Elements, Desktop Publisher) 


May/June/July
 » Huge overhaul over the reflow functionality with new machine learning algorithms in place for better text and layout analysis (Desktop Publisher)
 » New template using a vertical layout introduced for reflowed publications (Desktop Publisher)
 » Fixed an issue where the bookmarks were not resolved initially causing some of the reflowable documents to not use them correctly (Desktop Publisher)
 » Additional metadata fields added to the EPUB3 export routine (Desktop Publisher)
 » Fixed an issue where Vimeo videos would hide the cover after clicked when used with the maximise setting (Zine)
 » Improved search matching when searching for partial words (Zine, Classic)
 » Zine is now centering the mobile view vertically when no bottom thumbnails are visible to allow space to be better used (Zine)
 » Improved handling of background images in Elements mode (Desktop Publisher)
 » Outline/TOC editing now available for Reflowable publications (Desktop Publisher)
 » Improved ePUB3 validation compliance for iOS book store (Desktop Publisher)
 » Improvements in how rectangle and point annotations are drawn (Classic)
 » Atom Electron framework updated to version 1.6.0 (Desktop Publisher)
 » Fixed an issue where missing background images in templates were blocking new publications from being created (Zine)
 » Fixed an issue where switching between Two-Page and Portrait in Zine could cause the viewer height to collapse to 0 in some scenarios (Zine)
 » Fixed an issue where the --proxy-server setting wasn't respected in the desktop publisher (Desktop Publisher)
 » Fixed an issue where Google Analytics tracking wasn't working properly when using multiple tracking codes (Zine, Elements)
 » Fixed an issue where colors would be misrepresented in print when using some Firefox versions (Classic, Zine) 
 » Fixed an issue where some texts where being incorrectly stretched in when flatten/compress was turned on (Zine)
 » Fixed an issue where search abstracts would not appear in Chrome for the first page in the Elements viewer (Desktop Publisher)
 » Fixed an issue where certain grouped & scaled texts would appear incorrectly in compressed mode and Elements (Desktop Publisher)
 » Fixed an issue where two fold publications with overlapping text did not get their text adjusted properly in some cases (Desktop Publisher)
 » Fixed an issue where turning on accessible mode in Elements would not take effect (Desktop Publisher)
 » Fixed an issue where the text would be visible twice if switching into portrait from two page mode after zooming in when using compressed mode (Zine)
 » Fixed an issue where exported fonts were not being included in configuration in certain scenarios (Zine)
 » Fixed an issue where some file names received double dashes instead of single dashes when modified to a valid file name (Desktop Publisher)
 » Fixed an issue where small publications would fail to render thumbnails in some scenarios (Zine)
 » Fixed an issue where it wouldn't be possible to enable text select on pages in certain scenarios (Zine, Classic)
 » Fixed an issue where clipped text in some documents would cause the publishing to fail in flatten/compress mode (Zine)
 » Fixed an issue where clicking external links in miniature mode would cause the viewer to blank out (Zine)
 » Fixed an issue where certain IE versions would fail to render Elements publications on FlowPaper cloud (Elements)
 » Fixed an issue where the PDFTk path was incorrect in the ASP.NET set up scripts (Zine, Classic)
 » Fixed an issue where using the SEO option with the Elements viewer and uploading to FlowPaper cloud could cause the first page url to be incorrectly updated (Desktop Publisher)
 » Fixed an issue where reopening Elements publication would cause added links to disappear (Desktop Publisher)


April
 » Improved cloud service publishing to make sure it doesn't show previous versions from cache after modifications have been made (Elements)
 » Improved the look  for the Elements viewer by rounded borders options (Desktop Publisher)
 » Fixed an issue where search wasn't closing properly on touch devices in Elements (Desktop Publisher)
 » Fixed an issue related to positioning of search matches when matching sub-strings (Classic)
 » Fixed an issue where it wasn't possible to annotate text after performing a search (Classic)
 » Fixed an issue where some CID characters were incorrectly exported in compressed mode (Zine)
 » Fixed an issue where re-importing a PDF and turning on or off flatten/compression could cause fonts to be missing (Desktop Publisher)
 » Fixed an issue where type3 fonts were not rendered in flattened/compressed mode (Zine)
 » Fixed an issue where rotated text with negative angle would get slightly mispositioned in some cases in flatten/compressed mode (Zine)
 » Multiple style template improvements (Zine)
 » Improved viewer size for Zine when toolbar is hidden or positioned in the bottom of the screen (Zine)
 » Improved the 'Rainforest' theme in Zine with new icons and better positioning (Desktop Publisher)
 » Switched to using .bin as mime type when exporting in flattened mode to avoid mime type issues in certain web servers (Zine)
 » The publisher is now defaulting to use flatten/compression (Desktop Publisher)
 » The publisher will now warn if the publication contains fonts that are non-unicode when exporting to ePUB (Desktop Publisher)
 » Fixed an issue where printing ranges were not returning the correct pages (Zine,Classic)
 » Fixed an issue where some texts were classified as overlapping in compressed/flattened mode (Zine, Elements)
 » Improved SEO export settings for consistency between Elements & Zine (Desktop Publisher)
 » Removed the PHP output settings as they were redundant with other settings and not compatible with our
   cloud hosting causing confusion (Desktop Publisher)
 » Fixed an issue where the Cordova application wasn't able to read its template properly (Desktop Publisher)


March
 » In order to improve SEO, Elements is now using h1/h2/h3 tags instead of div tags for headers (Elements)
 » FlowPaper Elements is now detecting and creating a table of contents for publications if they do not have one specified in the PDF (Elements)
 » Improved font for the TOC in the Elements viewer (Desktop Publisher)
 » Improved email detection and unicode output for compressed/flattened documents (Desktop Publisher)
 » Zine now checks the proportions of the available area when deciding on viewing mode. If the viewer is very narrow but high then the viewer will choose to display a single page as opposed to two pages (Zine)
 » Improved indexing (SEO) for Elements publications so that Google and other search engines are now able to index each section separately (Desktop Publisher)
 » The rel=nofollow and rel=noopener tag added to external links in Elements publications (Desktop Publisher)
 » The elements viewer now updates the #page=(page number) name tag in the url when navigating through the publication to make sharing and returning to a page easier (Elements)
 » The Zine viewer is now able to start with TOC open if any is available (Desktop Publisher)
 » Switched to using the new analytics.js tracker for all viewers (Zine, Elements)
 » Improved pre-loading of fonts in flatten/compressed mode for Zine (Desktop Publisher)
 » Improved loading speed further by including partial content for the Elements viewer using the html5 compliant link rel="import" tag (Desktop Publisher)
 » Improved unicode support for Chinese &B Thai languages (Classic)
 » Fixed an issue where two-fold Elements publications would have their fonts incorrectly adjusted (Desktop Publisher)
 » Fixed an issue where the Elements viewer was attempting to use the computed font style incorrectly causing the wrong font to be used (Elements)
 » Fixed an issue related to editing pages in the elements viewer where the editor would replace a page incorrectly in some scenarios. (Desktop Publisher)
 » Fixed an issue where setting a background image to Zine would cause an incorrect background color to the search abstracts (Zine)
 » Fixed an issue where setting Zoom Interval to 0.4 or higher would cause the viewer to get the incorrect initial scale (Zine)
 » Fixed an issue where self maximized hosted videos were missing the close button (Zine)
 » Fixed an issue where the search abstract would be mispositioned when going into full screen if already visible prior to entering the full screen mode (Zine, Classic)
 » Fixed an issue where the text for the last page would not load properly for the last page in certain pages when using the flatten/compress mode (Zine)
 » Fixed an issue where small PDFs would get unessicariliy copied to the docs/ directory without being needed when using the flatten/compress mode (Desktop Publisher)
 » Fixed an issue where some auto detected links for email addresses would be incorrect (Zine)
 » Fixed an issue where some animations were not being triggered in a timely fashion (Elements)
 » Fixed an issue where some texts where incorrectly clipped when exported to an Elements publication (Elements)
 » Fixed an issue where two-fold publications with uneven total page numbers were missing the last page (Elements & Zine)
 » Fixed an issue where the viewer would not be initialized properly when starting at certain page numbers (Elements)
 » Fixed an issue where it wasn’t possible to use the full range of page numbers for two fold publications when adding new TOC items (Desktop Publisher)


February
 » Added a "speech to text" control button that reads out the current pages loud using text to speech synthesis (Elements)
 » Added conversion profile to the import dialogue for Zine
 » Improved the new flatten and compression mode so that fonts are now exported in separate files as opposed to one big base64 encoded style sheet (Desktop Publisher)
 » Improved mouse wheel zoom speed for Zine (Zine)
 » Improved Elements rendering accuracy where subtags where starting in negative x space resulting in incorrectly squished text (Desktop Publisher)
 » Improved animation performance for Elements in slide mode (Elements)
 » Improved performance and reliability in the flatten/compression mode for Zine
 » Increased timeout for custom fonts when using the flatten mode so that fonts are allowed to load properly (Zine)
 » Added a new 'TouchZoomInterval' parameter to the Zine viewer which allows you to let touch devices zoom in using double tap or the touch device tool bar in steps (default is 1.5)
   This also lets mobile users zoom deeper than before using the toolbar (Zine)
 » Improved support for Safari 10.x on desktops. Safari 10 and higher now supports user input in full screen (Zine)
 » Added a "?refresh" flag to exported resources to make sure uploaded publications are refreshed if re-uploaded.
   CDN's usually cache based on resources query string values and adding this flag forces the CDN to use the latest version (Desktop Publisher).
 » Fixed an issue where one of the fallback scripts for splitting the PDF wasn't found properly (Desktop Publisher)
 » Fixed an issue related to links not being triggered properly on mobile devices in some scenarios (Elements)
 » Fixed an issue where the initial shadow on smaller devices would be incorrect (Elements)
 » Fixed an issue where adding the download button to a publication which had been flattened would result in a incorrect output font file (Zine)
 » Fixed an issue where swiping left or right on a link would cause the viewer to navigate away instead of changing page (Zine)
 » Fixed a regression issue where jQuery was referenced using $ causing compatibility issues (Zine)
 » Fixed an issue where slightly differently sized pages would cause mispositioned texts when using the flatten mode (Zine)
 » Fixed an issue where some publications were using the original PDF file as opposed to the split file when in two fold mode, causing errors to appear in the console (Desktop Publisher)
 » Fixed an issue where edit mode would show the unadjusted two-fold page if flatten and compression was selected for two fold publications
 » Fixed an issue where some two-fold publications would have an unadjusted last page in Zine (Desktop Publisher)
 » Fixed an issue where some flattened publications would unload some of the pages in the page animation incorrectly (Zine)
 » Fixed an issue where old .pdf files were left in the docs directory when switching between using flatten/compression and standard conversion (Desktop Publisher)
 » Fixed an issue where MSIE (all versions) were delaying font loading in a way that slowed the loading of the document when rendering a flattened PDF (Zine)
 » Fixed an issue where the loader animation wasn't being displayed on all pages properly (Zine)
 » Fixed an issue where the null character code was incorrectly exported from the desktop publisher in flatten mode (Zine)
 » Fixed an issue where some pages would unload incorrectly in HTML4 mode as well as in flattened / compressed mode (Zine)
 » Fixed an issue where loading from cache would sometimes render javascript errors in browser console preventing text selections to be made (Zine, Classic)
 » Fixed an issue where the print quality would be degraded when using the new flatten/compression mode (Zine)
 » Fixed an issue where the flattened/compressed mode would adjust its vertical position incorrectly for pages where the viewer appears further down on the page (Zine)
 » Fixed an issue where 'Elements' publications uploaded with 'Read Only' mode turned on to our cloud service would fail to render after viewed on the cloud service (Desktop Publisher)
 » Fixed an issue where it wasn't possible to switch away from 'PhoneGap Application' once it had been selected in the desktop publisher (Desktop Publisher)
 » Fixed an issue where loading documents in split mode would sometimes reposition annotations incorrectly due to an incorrect scale being used in re-rendering (Classic)
 » Fixed an issue where rotation would not work properly in HTML4 mode using the classic viewer (Classic)
 » Fixed an issue where the elements viewer would misposition the content if going into full screen after being zoomed in (Elements)
 » Fixed an issue where clicking another element quickly after hovering a corner in Zine would trigger a page to be turned (Zine)
 » Fixed an issue where using the arrow keys (left/right) in the page # input box would cause the page to change unintentionally (Zine)
 » Fixed an issue where injected scripts would cause the elements viewer to fail to load on some CDNs (Desktop Publisher)


January
 » New import dialogue for Zine in the Desktop Publisher that presents a number of new options including the ability to overwrite previously imported PDFs and
   the ability to flatten PDFs file when importing them. The flatten mode reduces their size and improves speed dramatically, similar to how the Elements viewer already works.
   The flatten option is available to 'Creative' and 'Creative Team' license holders.
   The flatten import option also improves zoom for all mobile devices to infinite levels and stays sharp at all zoom levels.
 » The Zine import mode in the desktop publisher will now ask if you want to overwrite existing publications if a PDF with the same name has previously been imported (Desktop Publisher)
 » Improved rendering accuracy in flip book mode for Elements to avoid pixel rounding when flipping pages (Desktop Publisher)
 » Improved accuracy for Elements in texts that are starting with negative x-adjustments (Desktop Publisher)
 » Improved accuracy for measuring standard font (Helvetica, Times, etc.) widths in Elements publications (Desktop Publisher)
 » Updated the video player for self hosted videos (Zine, Elements)
 » Fixed an issue related to Safari not fitting some pages properly in Zine for differently sized publications (Desktop Publisher)
 » Fixed an issue where two-fold publications were coming through with the incorrect height specified causing added links to be mispositinoed
 » Fixed an issue where two-fold publications were not adjusting their TOC (bookmarks table) properly (Zine, Elements)
 » Fixed an issue where two-fold publications were not rendering the correct number of pages in Elements (Desktop Publisher)
 » Fixed a regression issue related to two-fold publications adjusting their sizes incorrectly causing some images to appear in incorrect places (Zine)
 » Fixed a few issues related to the cloud upload sometimes not providing feedback on progress (Desktop Publisher)
 » Fixed an issue where the publisher would use the wrong standard font (Times, Helvetica etc) in certain cases (Elements, Zine)
 » Fixed an issue where the search abstract would unnecessarily shrink the viewer (Zine)
 » Fixed an issue where 'Disable Mouse Wheel Zooming' would still prevent the default event from firing (Zine)
 » Fixed an issue where two-fold publications would not adjust their link targets properly in Elements publications (Elements)
 » Fixed an issue where adding annotations to certain publications would cause the text on their subsequent pages to be missing (Zine)
 » Fixed an issue where obfuscated/read-only publications would become corrupted when applying new import settings in the desktop publisher (Elements)


December
 » Fixed an issue related to textlayers not being enabled on iOS and Android devices for the annotations viewer (CLASSIC)
 » Improved 3D shadows for Zine (Desktop Publisher, web server packages)
 » Fixed an issue where TOC wasn't reprocessed properly when re-opening publications (Desktop Publisher)
 » Fixed an issue where custom page labels were not being shown properly in the fisheye navigator (Desktop Publisher)
 » Upgraded three.js to version 79 (Zine)
 » Added additional checks for missing PDF files in the Zine conversion process (Desktop Publisher)
 » Corrected various form validations and reported prcessing issues for the Desktop Publisher
 » Fixed an issue where it wasn't possible to click apply after rearranging the TOC items (Desktop Publisher)
 » Fixed an issue where user selections were causing the browser to jiggle when panning in zoomed in mode for Zine inside the desktop publisher (Desktop Publisher)


November
 » Fixed an issue where the cloud upload was using the custom output directory instead of the source directory causing the upload to fail in some cases (Desktop Publisher)
 » Improved the 'Show folder' functionality in the desktop publisher so that it now brings the folder to front in Windows (Desktop Publisher)
 » Fixed an issue where the font conversion cloud service wasn't able to convert some documents with very large number of fonts (500+) (Desktop Publisher)
 » Fixed an issue related to invisible text being incorrectly displayed in certain Elements publications
 » Added social sharing to the FlowPaper Elements viewer (Desktop Publisher)
 » Improved transition zoom animation for Elements so that it is smoother (Desktop Publisher)
 » Improved zoom speed in Elements significantly (Desktop Publisher)
 » Option to include download of the original PDF added to Elements (Desktop Publisher)
 » Improved the ability to sign in to the desktop publisher even if our servers would be down (Desktop Publisher)
 » Fix applied that prevents page from scrolling when mouse wheel zooming into Elements Publications (Desktop Publisher)
 » FlowPaper account area updated (Web Site)
 » Performance improvements for Zine related to Chrome 54 and its latest changes to will-change and the re-rasterization of transformed objects (Zine)
 » New design on our web site (Web Site)
 » Further improvements to printing to make sure printed pages fit on one A4 (Zine, Classic)
 » Added the ability to add your logo to the viewer for commercial license holders (Zine)
 » Fixed an issue where zooming into Elements publications when included inside an iframe would  cause the parent window to resize (Elements)
 » SSL support added for our cloud service
 » Fixed an issue related to PDFs with uppercase ".PDF" which were not displaying properly in some scenarios (Desktop Publisher)
 » Fixed an issue for desktop Safari related to zooming and defaulting to HTML4 for desktop Safari when available (Zine)
 » Fixed an issue related to text selection having incorrect behaviour on IE11 edge (Zine)


September/October
 » Fixed an issue where encrypted Zine publications would load corrupted images on some web servers
 » Fixed an issue where the viewer was being show too early causing the size of the viewer to be incorrectly calculated (Zine)
 » Fixed an issue where the viewer would not fit its width after performing a search even if FitWidthOnLoad was set (Classic)
 » Removed unintentional hover shadow on links (Zine)
 » Increased max zoom factor for touch devices (Zine)
 » Fixed an issue where sub pixel rounding would cause blurryness in Elements publications under Chrome on Windows (Elements)
 » Fixed an issue where two fold publications were not being adjusted properly in Flash mode (Zine)
 » Fixed an issue where the last page of publications with odd page numbers would still show the nav bar (Zine)
 » Fixed an issue where the bottom (fisheye style) thumbnails would not resize back to their original size in certain scenarios (Zine)
 » Added the ability to set page animation style to each Zine publication in the publisher (Zine)
 » Annotations viewer now using the annotated PDF to trigger print for better printing quality (Annotations)
 » Moved video snapshots, backgrounds and images into images/ for publications created for Zine in the Desktop Publisher for consistency and improved resource sharing (Zine)
 » Improved cross domain image loading for Zine to avoid security exceptions being thrown if images are located on a different server (Zine)
 » Fixed an issue related to differently sized pages (Classic)
 » Added the ability to upload and share publications on FlowPaper cloud (Powered by Amazon Web Services) (Desktop Publisher)
 » Added additional checks for the output size in Zine to avoid some publications from creating too large outputs when split into individual files (Desktop Publisher)
 » Improved the way the Desktop Publisher processes the output formats to avoid reprocessing formats that are already created (Desktop Publisher)
 » Fixed an issue for two fold publications which were using incorrect dimensions for their thumbnails (Zine, Desktop Publisher)
 » Fixed an issue where all pages would not be republished properly on Windows in some scenarios (Desktop Publisher)
 » Desktop Publisher now supporting proxy settings. Supply the "--proxy-server=user@password:address:port" parameter to the Desktop Publisher if you want to start it with proxy support (Desktop Publisher)
 » Fixed an issue where having the sharing dialgoue open would still cause the viewer to flip pages in some cases if corners were clicked (Zine)
 » Fixed a few issues for Elements where it wasn't possible to edit the TOC properly for publications with no TOC as start (Desktop Publisher)


August
 » Fixed an issue related to the color selector not withdrawing after changing annotations tool (Classic)
 » Fixed an issue related to fitting the page horizontally when the page is rotated caused incorrect fitting (Classic)
 » Fixed an issue where a rotated page with annotation marks would rotate the text inside the marks as well (Classic)
 » Fixed an issue where clicking on text selection note multiple times after selecting color would cause misselection in selected color (Classic)
 » Fixed an issue where the zoom slider wouldn't be re-enabled on touch enabled desktop browsers when switching to two-page and back to portrait (Classic)
 » Small adjustments to the Elements viewer and its text spacing routine for evenly spaced out text fragments (Elements)
 » Fixed an issue where going from 10 pages to all pages in preview when working with two-fold publications in Elements caused one of the pages not to render properly (Elements)
 » Fixed an issue where one of the Zine styles (with the toolbar in the bottom) would misposition the toolbar (Zine)
 » Updated our php sample scripts to use mysqli for PHP 7.x and higher (Classic)
 » Fixed an issue where coming out of full screen using the toolbar button in IE11 would cause the viewer to be incorrectly resized (Zine)
 » Mobile/Desktop and Tablet controls now have their own settings section under controls allowing further controls on which buttons that are visible (Desktop Publisher)
 » Improved clipping pdfs imported into FlexPaper Elements
 » More text animations added to FlexPaper Elements (Desktop Publisher)
 » Fixed an issue where the bookmarks (or outline) would not be resolved properly in Elements mode and EPUB mode (Desktop Publisher)
 » Fixed an issue where some sub sets of standard fonts were not being converted (Elements)
 » Fixed an issue where matching similar fonts didn't produce matches in the final copy (Elements)
 » Fixed an issue where mouse wheel scrolling would cause the page to scroll if the viewer was smaller than the viewport (Zine)
 » Fixed an issue where searching using an empty string would generate an error in the viewer (Classic, Zine)
 » Fixed an issue where navigating quickly next was not coherent with navigating quickly to previous pages (Classic)
 » Fixed an issue where entering page numbers in the print dialogue wasn't possible when text annotations were shown behind the dialogue (Classic)
 » Fixed an issue where the publisher was unable to open the publication in some cases and generating the error UnexpectedResponseException(0) (Desktop Publisher)
 » Added the ability to move around text elements in the publisher (Elements mode)
 » Added the ability to animate individual text elements (more animation settings and modes are coming up shortly!) (Desktop Publisher)
 » It is now possible to export and distribute Adobe PhoneGap applications using Elements (Desktop Publisher)


July
 » Fixed an issue related to IE8 not loading some FlexPaper Elements Publications
 » Upgraded to Electron 1.2.5 (Desktop Publisher)
 » Improved accuracy in clipping of text (Elements)
 » Its now possible to track Elements publications using Google Analytics just as with Zine (Elements)
 » The Zine toolbar now floats on top of the publication giving greater reading area than before (Zine)
 » Improved EPUB3 support (for readers such as Adobe Digital Editions) (Desktop Publisher)
 » Changed the way annotations are added to the DOM so that rotation of annotations are improved (Classic)
 » Its now possible to set a custom cover image for EPUB publications (Desktop Publisher)
 » Its now possible to set ISBN for EPUB publications (Desktop Publisher)
 » Fixed an issue where two fold publications would show the incorrect number of pages in the editing section of the publisher (Desktop Publisher)
 » Fixed an issue where links placed on two fold publications would be misplaced when zooming in and then out (Zine, Desktop Publisher)
 » Improved text clipping accuracy for Elements (Desktop Publisher)
 » Improved navigation panels margins slightly for iPhone 5 (Zine)
 » Embedded default color profile for OSX for improved color accuracy (Zine, Desktop Publisher)
 » Implemented partial navigation drag for Elements, slide (Desktop Publisher)
 » Fixed an issue where setting a higher Max Zoom Factor than 500% would cause the viewer to initialize incorrectly (Zine)
 » Fixed an issue where the MixedMode parameter wasn't being passed on properly when using FullScreenAsMaxWindow (Zine)
 » The TOC editor is now available for Elements (static layout) (Desktop Publisher)
 » Clarified the TouchInitViewMode for Zine. Setting this to 'Portrait' when using Zine will result in a forced single page mode. (Zine)
 » Changed default view mode to slide for phone style touch devices (Elements)
 » Performed a number of optimizations for Chrome 52 (Elements)
 » Improved text accuracy for Elements by improved handling of negative movements in text fragments (Elements)
 » Improved support for two fold publications where links were not being adjusted properly in Elements publications (Elements)
 » Added hover link color to links in FlexPaper Elements and pulse-in effect (Elements)
 » Reduced file size of FlexPaper Zine by excluding some previously included image resources (Zine)
 » It is now possible to select local MP4 and WEBM files for self hosted videos and distribute them together with both Zine and Elements (Desktop Publisher)
 » Fixed an issue related to starting on specific pages in smaller sized devices for Elements which caused incorrect page to show up initially (Elements)
 » Fixed an issue related to resizing the Elements viewer causing some pages to go blank for specific scenarios (Elements)


June
 » FlexPaper Desktop Publisher can now export static and reflowabe EPUB documents (Desktop Publisher)
 » New 'Project' dialogue introduced where publication style can easily be picked (Desktop Publisher)
 » Allow PDFs to be dropped into the desktop publisher (Desktop Publisher)
 » Fixed an issue where line-height wasn't set properly on each font class (Elements)
 » Improved conversion speed and white-page detection (Elements)
 » Improved text accuracy through better calculated glyph widths (Elements)
 » Fixed an issue where some characters with conflicts would translate incorrectly to the font (Elements)
 » A few fixes for ligatures and double characters (Elements)
 » Fixed an issue related to some unicode characters beeing incorrectly translated (Elements)
 » Fixed an issue where zooming in using the mouse wheel would cause the viewer to stay blurry in some versions of Chrome in Windows (Zine)
 » Fixed an issue related to saving annotations back to pdf if the pdf was stored in a sub folder (Classic)
 » Fixed an issue where two fold publications did not have their internal links adjusted properly (Zine)
 » Added the ability to change arrow color in Zine (Desktop Publisher)
 » Fixed an issue where a border would appear around panels when the color of the panel was changed (Zine)
 » Improved slider style (Zine)
 » Fixed an issue where some Zine styles were not being re-read into the publisher when opening a previous publication (Zine)
 » Added the ability to disable first/last buttons inside the viewer (Zine)
 » Improved support for FlexPaper in IE Compatibility mode (Zine, Classic)
 » Fixed an issue where disposing one of two viewers on the page would cause the other viewer to stop (Classic,Zine)
 » Fixed an issue where the dimensions of the viewer were not being recalculated properly (Classic)
 » Changed mouse wheel to zoom as opposed to change page for consistency with Zine (Elements)
 » Fixed an issue where zoom position would be slightly offset (Elements)
 » Fixed an issue where the zoom wasn't making the pages sharp in Firefox (Elements)
 » It is now possible to double tap to zoom in using Elements just as Zine (Elements)
 » Fixed an issue where rotated text were not using browser prefixes causing some older versions of Firefox not to rotate text properly (Elements)
 » Fixed an issue where another machine encoding than UTF-8 would cause encryption of files to fail (Zine)
 » Fixed an issue where it wasn't possbile to pinch/zoom on some Android devices for Elements publications (Elements)
 » Added background color style setting for Elements (Desktop Publishing)
 » Fixed an issue where the page would not sharpen properly in Chrome when using the HTML4 mode (Zine)
 » Fixed an issue where exported sections in reflowable mode would be exported twice (Elements)
 » Expanded editable area past 100% so that elements can be placed outside of page area (Desktop Publisher)
 » Added the ability to have videos, images and links span across multiple pages (Zine)
 » Fixed an issue where letter-spacing would not be adjusted properly on navigation (Elements)
 » Fixed an issue where corrupt fonts that were missing hinting were not being repaired properly (Desktop Publisher)
 » Fixed an issue related to IE version 11 and IE version 10 not printing all pages in HTML4/HTML5 mode (Zine, Classic)
 » Fixed an issue where the publisher would hang when settings were changed in a certain order (Desktop Publisher)
 » Fixed an issue where panel color on the tumbnail bar did not match panel color on the left/right panel (Zine)
 » Fixed an issue where re-importing a PDF would not overwrite the previously imported copy (Zine)
 » Elements now showing next/previous buttons in the bottom of the viewer as opposed to scrubber (Elements)
 » Fixed an issue where it optimizing images using PHP wasn't possible (Desktop Publisher)
 » Improved handling of pages with different height (Elements)
 » Fancy page shadows added to Elements as option (Elements)
 » Additional check for Blackberry phones and changed default configuration for Zine so that it starts in Flip-Single on touch devices if
   Portrait has been specified (Zine)
 » Improved link conversion for FlexPaper Elements (Desktop Publisher)
 » Big performance improvements to Elements in Flip mode (Elements)
 » Fixed an issue related to text groups not being represented properly (Elements)
 » Fixed an issue related to rotated text above 90 and under -90 degrees would appear incorrectly (Elements)
 » Fixed an issue where navigating backwards in 1-page mode would skip pages (Elements)


April/May
 » Further UI rendering performance improvements to Elements, Flat (Elements)
 » Improvements to cMap handling in exporting text fragments for Zine (Desktop Publisher)
 » Minor corrections to re-reading page labels and outline (Desktop Publisher)
 » Improve hardware acceleration on iOS for Elements (Desktop Publisher)
 » Improved image rendering quality for publications of smaller size (Elements)
 » Improved stability for Zine when the publisher fails to split pdf documents (Desktop Publisher)
 » Build error corrected which caused fonts not to convert to EOT in some cases for Elements (Desktop Publisher)
 » Added the option to use the document name as output file name (Desktop Publisher)
 » Fixed an issue where the selection adding links that navigates to a page or executes javascript was not showing properly in Desktop Publisher (Desktop Publisher)
 » Fixed an issue where file permissions were being incorrectly set on output files (Desktop Publisher)
 » Fixed an issue where changing rotation in Zine would case the viewer not to fit on some smaller devices (Zine)
 » Fixed an issue where the a text mark wouldn't get updated if the viewer scrolled away from the text fast (Classic)
 » Fixed an issue where printing a document would cause a 404 error in the browser console (Classic)
 » Improved accessibility support with active ARIA fields (Elements)
 » Improved accessibility support added to Zine and Classic (Zine, Classic)
 » Fonts are no longer saved on disk prior to conversion (Elements)
 » Upgraded to Atom Electron 0.37.5 (Desktop Publisher)
 » Fixed an issue where some Blackberry devices were incorrectly identified (Zine,Classic)
 » Added a setting for improved accessibility to Elements. This option will let you output your documents in accessible format which is readable by screen readers (Desktop Publisher)
 » Improved handling of conversino of fonts that has no spacing width (Elements)
 » Improved rendering speed for reflowable documents (Elements)
 » Fixed an issue where old copies of the index.html file wasn't cleaned away properly when encryption was turned on (Desktop Publisher)
 » Turned off warning messages in get_signed_content.php which was sometimes disturbing encryption and switched output method (Zine)
 » Additonal checks for the animation classes added (Desktop Publisher)
 » Switched to using standard fonts (Times, Arial, Helvetica etc) when these are used in the PDF document as opposed to embedded font (Elements)
 » Improved clipping of texts (Elements)
 » Fixed an issue where the search text for some documents would be exported using ascii instad of unicode (Zine, Desktop Publisher)
 » Major improvements in text positioning using new algorithms for improved accuracy in font metrics (Elements)
 » Major performance improvements to Elements (Deskop Publisher)
 » Improved page fit/page height for touch devices to maximize margins properly (Zine)
 » Fixed an issue where some links were opening twice in IE and Firefox (Zine)
 » Fixed an issue where clicking on the toolbar would cause "SecurityError" exception in Firefox later versions (Classic)
 » Improved detection for surface pro (Zine)
 » Corrected an issue where in-page links in Zine would show zoom cursor when hovering them as opposed to pointer (Zine)
 » Reduce zoom in scale somewhat when high resolution images are not available to avoid blurry text (Zine)
 » Fixed an issue where some page labels were not being imported properly (Zine)
 » Fixed an issue where .highlight was not exposed properly in the HTML5 viewer (Classic)
 » Fixed an issue where using the publication name as file name would result in an error when shared using Dropbox (Desktop Publisher)
 » Fixed an issue where printing would generate an extra page at the end (Classic)
 » Aligned Elements to have the same settings set up as Zine in the publisher (Desktop Publisher)
 » Added support for sFTP and SCP (Desktop Publisher)


March
 » We have done a major overhaul of our font conversion service this month for Elements speeding up performance and provides greater stability (Elements)
 » Slovak language added to our viewers (Classic,Zine,Elements)
 » It is now possible to add imges, links and videos to Elements (Desktop Publisher)
 » FlexPaper Zine now takes page labels (if any exist in the PDF) into consideration when displaying the page number in the toolbar. (Desktop Publisher)
 » Optimized saving backgrounds for Elements so that they are saved in SVG when available and not saved at all if the background is all white (Elements)
 » Significant improvments in publishing speed for Elements (Desktop Publisher)
 » Improved pixel accuracy in images/text for Elements (Desktop Publisher)
 » Performance improvements to Slide mode in Elements (Destop Publisher)
 » Added the ability to save Zine styles as new templates which will appear in the template drop down list if saved (Desktop Publisher)
 » Added the ability to draw links, videos, images outside of the page area and fixed an issue where resizing the editor wouldn't reposition elements properly (Desktop Publisher)
 » Added the ability to select text in Zine when zoomed in with flip book mode activated (Zine)
 » Improved link detection so that links are kept better intact (Zine, Desktop Publisher)
 » Lots of improvements for text positioning for Elements (Desktop Publisher)
 » Improved font loading in Elements (Desktop Publisher)
 » Improved subpixel positioning in Elements (Desktop Publisher)
 » Fixed an issue where two fold publications would not apply annotations in the right positions properly (Zine)
 » Fixed an issue where some two fold publications would not render thumbnails properly (Desktop Publisher)
 » Corrected a build error where two fold publications would be incorrectly adjusted (Desktop Publisher)
 » Fixed an issue where multi-domain accounts were not being able to register the second domain in some cases (Desktop Publisher)
 » Fixed an issue where links were added with an incorrect xml namespace in Zine via the Desktop Publisher (Desktop Publisher)
 » Fixed an issue where using custom folder would cause "view in browser" not to work for Elements (Elements)
 » Fixed an issue where two fold publications wouldn't render as HTML5 but rather HTML4 through the desktop publisher (Desktop Publisher)
 » Fixed an issue where external links blocked by pop up blocker wouldn't show (Zine, Classic, Desktop Publisher)
 » Fixed an issue where some internal links wouldn't navigate properly on iOS devices (Zine)
 » Fixed an issue where two fold publications would not adjust their text fragments properly in some cases (Desktop Publisher)
 » Fixed an issue where the zoom slider wasn't reacting properly in some cases (Classic)
 » Fixed an issue where the desktop publisher was registering blank domains in some cases (Zine)
 » Fixed an issue where it wasn't possible to see the bottom TOC items in some screen resolutions (Desktop Publisher)
 » Fixed an issue where the publisher was defaulting to HTML4 for the final copy in some cases (Desktop Publisher)
 » Fixed an issue where some annotations would be mispositioned in portrait mode when running single mode if the publication had differently sized pages (Classic)
 » Fixed an issue where obfuscated fonts were not being embedded in the final copy properly (Desktop Publisher)
 » Switched from using fragments/ dir to docs/ for Elements and fixed an issue related to cleaning up previous directories when switching viewer (Desktop Publisher)
 » Fixed an issue where EOT fonts would not convert properly and improved character encoding (Elements)
 » Fixed an issue where setting a background image would not clear when opening a new Zine publicatino (Desktop Publisher)
 » Fixed an issue where fonts were not being fetched properly when choosing "From URL" in Elements (Desktop Publisher)
 » Fixed an issue where fonts were not loaded properly before tested in the font switcher (Desktop Publisher)
 » Corrected an issue where documents with fragmented text would get degraded performance in Elements (Desktop Publisher)
 » Fixed an issue where dismissed messages would show repeatedly (Desktop Publisher)
 » Fixed an issue related to ligatures (fi,fl,ffl ..) not being converted properly in Elements (Desktop Publisher)
 » Reduce flickering on Chrome and Safari when turning pages in Elements (flip mode) (Desktop Publisher)


Febuary
 » Upgraded the framework libraries we use for our Desktop Publisher (Angular,jQuery,Bootstrap) (Desktop Publisher)
 » Fixed an issue where the thumbnail navigator wouldn't work in iOS for the Classic viewer (Classic)
 » Forcing the annotations author label to show in full and avoid wrapping the text (Classic)
 » Fixed an issue where the bottom annotations toolbar wouldn't get translated properly (Classic)
 » Added support for translating the annotations delete confirmation box (Classic)
 » Corrected z-index for the line drawn between notes and their points/rectangles (Classic)
 » Corrected the drawing position for rectangle and point markers (Classic)
 » Fixed an issue where the viewer would scroll while trying to draw a illustration on surface pro (Classic)
 » Improved auto link detection for Zine (Zine, Desktop Publisher)
 » Fixed an issue where two fold publications would not adjust the text size properly when automatically adjusted (Desktop Publisher)
 » Upgraded Atom Electron to 0.36.7
 » Added the ability to change alpha on the next/prev pages in Elements,Flat mode (Desktop Publisher)
 » Fixed an issue where clicking on edit in the top menu in Windows would cause a javascript error to pop up (Desktop Publisher)
 » Increased scrolling margins so that more pages are loading in portrait when scrolling (Zine,Classic)
 » Fixed an issue where scale was being set per page causing differently sized publications to misbehave in Adaptive Elements mode (Desktop Publisher)
 » Added support for differently sized pages in Adaptive Elements (Desktop Publisher)
 » Fixed an issue where PageIndexAdjustment parameter wasn't affecting the html5 rendering mode (Zine)
 » Fixed a regression issue where it wasn't possible to switch to a different working directory (Desktop Publisher)
 » Fixed an issue where youtube videos wouldn't load over https when embedded into Zine (Zine)
 » Fixed an issue where it wasn't possible to edit videos and images after reopening a publication (Desktop Publisher)
 » 'Very fast' and 'Very slow' speed mode options added to Zine. Next version may include 'Ludicrous speed' as requested by one of our clients (Zine)
 » Fixed various issues related to differently sized pages and loading them in Elements/Adaptive Mode (Desktop Publisher)
 » Added the ability to animate specific text element types (h1, h2, body text) in Adaptive mode (Desktop Publisher)
 » Improved merging algorithm for text fields which will improve accuracy in converting text to html5 in Adaptive mode (Desktop Publisher)
 » Table of contents editor added to our desktop publisher. Click on "TOC" in the left hand panel to access this editor (Zine, Elements)
 » Fixed an issue where a video wouldn't resize when viewer was resized if the video is already playing (Zine)
 » Added an option for Zine where left/right navigation keys can be bound to navigate the viewer (Zine)
 » Fixed an issue where two fold publications would render the first thumbnail incorrectly in preview (Zine)
 » Fixed an issue where two fold publications would render the last page in incorrect size and show incorrect number of pages in 10-page preview (Zine)
 » Added "Import style" which allows you to import style settings from a previous publication (just like our older desktop publisher) (Zine)
 » Fixed an issue where text was not being clipped properly in some cases when using Adaptive mode (Desktop Publisher)
 » Improved font matching in our cloud service for Elements (Desktop Publisher)
 » Added the ability to select multiple PDF files when creating a publication (Desktop Publisher)
 » Fixed an issue where the cache of images in our web server packages wasn't using subfolders properly (Zine,Classic)
 » Added the ability to change the output folder (Desktop Publisher)


January
 » The publisher now asks if you want to adjust the publication automatically to be a single page when publishing landscape
   publications (Publisher)
 » Improved the rendering quality for HTML4 in Chrome & Firefox (Zine)
 » Fixed an issue where zooming using mouse wheel when hovering over a folded page would cause the viewer to draw the page incorrectly (Zine)
 » Fixed an issue where some files with odd characters in their file names would not open in desktop publisher (Publisher)
 » Improved text sharpness in adaptive elements mode (Publisher)
 » Improved font conversion with retry when cloud service isn't responding properly (Publisher)
 » Fixed an issue where it wasn't possible to open documents from other directories than C: on Windows in the desktop publisher (Desktop Publisher)
 » Fixed an issue where two fold publications would not process properly when using flash as output format (Desktop Publisher)
 » Support for password protected PDF documents added to desktop publisher (Publisher)
 » Fixed an issue where it wasn't possible to easily unselect text on iPad / Android (Classic)
 » Fixed an issue where strike outs were not being triggered properly when text were selected (Classic)
 » Aligned flash full screen support for safari with HTML5 (Classic,Zine)
 » Fixed a number of issues where the user settings were not saved properly in the new publisher (Desktop Publisher)
 » Fixed an issue where the rainforest theme would misposition the toolbar after resize (Zine)
 » Improved error handling of the internal preview service in the desktop publisher (Desktop Publisher)
 » Fixed an issue where FlexPapeViewer.swf was included even if not used by desktop publisher (Desktop Publisher)
 » Fixed an issue where the Desktop Publisher wasn't copying the full pdf even if this option was ticked (Desktop Publisher)
 » Fixed an issue where re-opening a reflowable publication wouldn't allow some sections to be re-edited (Desktop Publisher)
 » Added additional checks for when font conversion fails so that the publisher retries (Desktop Publisher)
 » Improved print by removing unnecessary margins and widening the print (Classic,Zine)
 » Fixed an issue where publication title wasn't being set in the header when creating Zine publications (Desktop Publisher)
 » Forcing MSIE to print in new frame to prevent incorrectly sized print outs (Zine, Classic)
 » Fixed an issue where strikeouts would behave differently with text selection pressed in than highlighting (Classic)
 » Fixed an issue where a two fold publication with uneven page numbers would add an extra blank page at the end incorrectly (Desktop Publisher)
 » Added support for supplying a fixed max number of visible pages to the adaptive mode (useable by landscape documents) (Desktop Publisher)
 » Added support for uploading publications via FTP (Desktop Publisher)
 » Added support for copying and sharing publications via Dropbox (Desktop Publisher)
 » Improved support for converting to Adobe Flash/swf in new publisher (Desktop Publisher)
 » Fixed an issue where some fonts would not display properly in edit mode for Adaptive & Reflowable (Desktop Publisher)


December
 » Various fixes for IE8 when running fixed layout in Elements (Elements)
 » New event added to Classic & Zine "onPasswordNeeded" which is fired when a pdf that is opened requires a password.
 » Stopped fade animations from stacking and made zooming in using mouse wheel render faster (Zine)
 » Improved pinch/zoom/pan support for Android in Elements static mode (Elements)
 » Added page flip as option to our flat Adaptive viewer (Elements)
 » Disabled scroll bar while pinching on in FlexPaper Classic on Android to avoid scrolling while pinching (Classic)
 » Improved automatic link detection for Adaptive (Elements)
 » Undo/Redo added to Desktop Publisher (Elements)
 » Fixed an issue where high res zooming on mobile devices would cause the page to turn white on some PHP GD configurations (Zine)
 » Added a bit of bottom margin in cases where the thumbnails are not visible to allow bottom border to be visible (Zine)
 » Upgraded to Atom Electron 0.36.1 (Desktop Publisher)
 » Changed search input text field to use input type search for Elements (Elements)
 » Search will now close if clicking outside of search box. Will reopen once clicked again (Elements)
 » Fixed an issue where '#' in the pdf file name would cause the publisher to fail to open a document (Publisher)
 » Fixed an issue where switching working directory wasn't possible (Publisher)
 » Fixed a feature detection issue causing IE to use 3D transitions incorrectly in version 11 and below (Elements)
 » Updated the Desktop Publisher to use native OSX routines for splitting the PDF in case PDFTk isn't installed (Publisher)
 » Switched to a different font fallback routine for EOT fonts in FlexPaper Elements which speeds up processing and stability (Elements)
 » Signing & encryption added to the new desktop publisher (Desktop Publisher)
 » Zine now automatically adjusts two-fold publications in single file mode (Zine)
 » Fixed an issue where some events were not correctly bound past page 20 in Zine due to incorrect use of garbage collector (Zine)
 » Issue fixed where Flip-SinglePage wasn't showing the thumbnails properly and where the document was slightly mispositioned (Zine)
 » Fixed an issue where it wasn't possible to navigate to the very last page using Flip-SinglePage for some specific scenarios (Zine)
 » Fixed an issue where the search result wasn't highlighting words properly in Flip-SinglePage mode (Zine)
 » Improvements to automatic link detection when links are broken into segments (Elements)


November
 » Fixed minor obfuscation issues related to the new desktop publisher (Desktop Publisher)
 » Improved error logging for our new Desktop Publisher (Desktop Publisher)
 » Fixed an issue where it wasn't possible to open publications located on a UNC path (Desktop Publisher)
 » Fixed an issue where start at page wasn't working properly in fixed layout (Elements)
 » Fixed an issue where text lost its sharpness when zoomed in (Elements/Adaptive)
 » Improved quality of background images/lines in editable adaptive mode (Desktop Publisher)
 » Fixed an issue where some fonts would not load properly in editable adaptive mode (Desktop Publisher)
 » Fixed an issue where it wasn't possible to scroll inside the desktop publisher when trying different device sizes in preview (Desktop Publisher)
 » New checks added for Metro mode (Windows 10, Windows 8, Windows 7) in order to better support Windows surface tablets (Zine,Classic)
 » Upgraded to Atom Electron 0.35.0 (Desktop Publisher)
 » Moved editing into its own screen as opposed to be in a pop up (Desktop Publisher)
 » Fixed an issue where it wasn't possible to create links to pages in the new desktop publisher (Desktop Publisher)
 » Upgraded HTML5 rendering routine for Elements (v1.3.6)
 » Corrected a number of issues related to adding and editing interactive elements in Zine (Desktop Publisher)
 » Performed a number of improvements to search in FlexPaper Elements (Elements)
 » Upgraded our compression libraries in Desktop Publisher as some files were causing the publisher to crash (Desktop Publisher)
 » Added a new search hinter which uses PHP to speed up search when using static layout in Elements (Elements)
 » Improve link visibiliyy for touch only devices by always highlighting link areas (Zine, Classic)
 » Changed touch only devices to open external links with document.location.href as some touch devices with block new windows from opening (Zine, Classic)
 » Increased general link visibiliy by pulsing in links when navigating to new pages (Zine)
 » Fixed an issue where switching into edit mode while in device emulation caused the editor to be of incorrect size (Desktop Publisher)
 » New starting view mode added to Zine ("Flip-SinglePage") which forces the viewer to display the publication as a single page.
   This is a great mode for landscape publications! (Zine)
 » Improvements to detecting and adjusting two-fold publications in Zine (Desktop Publisher)
 » Fixed an issue where some of the style settings would not be saved to tablets/phones in Zine (Desktop Publisher)


September / October
 » Fixed a minor regression issue from our previous release related to webGL loading (Zine)
 » Fixed a regression error related to printing where the viewer was trying to print in HTML4 mode instead of HTML5 in some cases (Classic,Zine)
 » Fixed an issue related to having multiple viewers on the same page where the slider stopped working for the first viewer (Classic,Zine)
 » Font obfuscation implemented in FlexPaper Reflow. This is part of our efforts in providing protection for documents in Reflow (Reflow)
 » Pinch/Zoom now available in FlexPaper Reflow (Reflow)
 » Content protection through font obfuscation now available in FlexPaper Reflow (Reflow)
 » Fixed an issue where IE was printing unnessecary blank pages (Zine,Classic)
 » Added new parameter to Zine to customize the loader image which normally displays the front page of the publication. Set the 'LoaderImage' parameter
   to the viewer to set this image to any custom image.
 » Speeded up the rendering routine for Zine and Classic when using single file mode (Zine,Classic)
 » Fixed an issue where header warnings caused the Zine viewer to fail to render when using PHP with PDF encryption (Zine)
 » Fixed an issue preventing the viewer to load a PDF document as a Uint8ARray (Zine,Classic)
 » Fixed an issue where an incorrect margin caused some publications to misposition during flip transition (Zine)
 » Allow documents to be loaded using URL.createObjectURL (Zine,Classic)
 » Adjusted the margins for Zine as its middle container was being incorrectly sized in some scenarios (Zine)
 » Fixed an issue where Zine wasn't clearing its rendering area properly when used in WebGL mode with only PDFFile set (Zine)
 » Fixed an issue where two fold publications were not being published properly on el capitan (Zine)
 » Generall javascript performance improvements from changing our javascript encoding methods (Zine)
 » Fixed an issue where it wasn't possible to Zoom into 1-page documents in Zine in some scenarios (Zine)
 » Fixed an issue where links were incorrectly sized and positioned in Zine when only supplying a PDF file in HTML5 mode (Zine)
 » Fixed an issue where text would be incorrectly scaled in Zine when zooming in if only supplying a PDF file in HTML5 mode (Zine)
 » Improved rendering quality in zoomed out mode for Zine when only supplying a PDF file in HTML5 mode (Zine)
 » A completely new desktop publisher which is integrating Zine and 2 new viewer modes (Zine,Reflow)
 » Upgraded PDFTk to 2.02 and integrated an updated build for OSX 10.11 (El Capitan) (Desktop Publisher)
 » Changed style from 'cover' to '100% 100%' for Chrome as it solves differently sized pages in two page view (Zine)
 » Use HTML4 as default rendering mode for Seamonkey browsers (Zine,Classic)
 » Updated HTML5 rendering routine for Zine, Classic (v1.2.56 build bc33ae2)


August
 » Fixed an issue where saving annotations back to pdf failed in some systems due to an incorrect statement in the annotatepdf_php5.php file (Classic)
 » Zine now dispatches a onScaleChanged event in flash and html5 mode (Zine)
 » Fixed an issue where a small grey padded area appeared in Classic after changing orientation on devices (Classic)
 » Adjusted the fit-width margins for touch based devices in Classic to avoid unnessecary scrollbars for landscape pages (Classic)
 » Added meta tag for IE to default it to the latest version when viewing FlexPaper documents (Classic,Zine,Reflow)
 » Fixed an issue where subfolder wasn't being passed on to the swfRender library properly (Classic, Zine)
 » Fixed an issue where non-unicode fonts were not being picked up properly by the conversion (Reflow)
 » Author info added to drawings, highlights for the annotations viewer (Classic)
 » Zine is now centering the mobile view when using single page (when looking at the device in portrait mode) (Zine)
 » new attribute added for Zine styles "navPanelsVisible" which sets the visibility on navigation panels (Zine)
 » Improved styling for FlexPaper Reflow (Reflow)
 » Improved mixed/unicode character set support for Reflow (Reflow)
 » Fixed an issue where Safari isn't going into full screen properly when trying to allow keyboard input (Zine,Classic)
 » FlexPaper Reflow now supports IE8 in Adaptive mode. Uses eot fonts when in IE8. (Reflow)
 » Support for text with angle added to Reflow Adaptive mode (Reflow)
 » Fixed an issue where trying to navigate past the last page in Zine caused a javascript error (Zine)
 » Fixed an issue where having multiple viewers on the same page caused the search to work incorrectly. (Zine, Classic)
 » It is now possible to set FLEXPAPER.RANGE_CHUNK_SIZE to any desired value in order to adjust how much the viewer loads
   using range request (default is 65536)
 » Fixed an issue where deep zooming publications would cause blur on webkit browsers (Zine)
 » Added support for WebGL (3D) rendering even if no images are supplied (Zine)
 » Added support for WebGL (3D) to the Zine PHP scripts (Zine)
 » Fixed an issue where clicking on the print dialogue would cause the viewer to navigate (Zine)
 » Updated the print routine for FlexPaper Zine and Classic (HTML5, HTML4 modes) to align with the same routine as annotations.
   This fixed a number of issues related to IE and sizing of the print as well as improved the overall printing quality (Zine, Classic)
 » Adjusted some of the margins for the classic viewer when viewing on mobile devices (Classic)
 » Fixed an issue where saving annotations in the document back to pdf would cause the marks to appear on the wrong page in some cases (Classic)


July 2015
 » Increased the image quality for non-retina displays to improve the Windows 10 experience (Zine,Classic)
 » FlexPaper Reflow now asks about collecting anonymous usage statistics when started up (Reflow)
 » Improved the performance of the FlexPaper Reflow font conversion service, it should now respond quicker without risking being blocked (Reflow)
 » Added a fallback mechanism for font conversion of true type to woff in the FlexPaper Reflow Publisher (Reflow)
 » Fixed an issue where it wasnt possible to open the final copy directory in FlexPaper Reflow on Windows (Reflow)
 » Improved error reporting in FlexPaper Reflow (Reflow)
 » Added a warning for opening FlexPaper reflow publications directly from the folder as opposed to via http:// (Reflow)
 » Fixed an issue where some directories were not being created properly during initialization of FlexPaper Reflow (Reflow)
 » Fixed an issue where switching back from portrait to two page would cause the zoom controls to be disabled in internet explorer (Zine, Classic)
 » Improved performance in collecting statistics in FlexPaper Reflow (Reflow)
 » Fixed an issue where pinching out on ios caused the viewer to zoom back in again (Zine)
 » Added adaptive layout as option to FlexPaper Reflow (Reflow)
 » A lot of performance improvements to FlexPaper Reflow (Reflow)
 » Adjusted the initial page of the document so that it better fits when loaded in classic on a small device (single page mode) (Classic)
 » Fixed an issue where the scroll bars would not be show initially on touch based devices in single page mode (Classic)
 » Fixed an issue where entering a non-numeric value into the zoom factor would cause irradic behavior in the viewer when in flash mode (Classic)
 » Updated Zine Desktop Publisher to be compatible with OSX El Capitan (OS X 10.11) (Zine)
 » Fixed an issue where the search box was being populated incorrectly if multiple viewers were on the same page (Zine, Classic)
 » Fixed an issue where dragging images and video clips when zoomed into desktop publisher caused the document to drag as well (Zine)
 » Removed an incorrect statment disabling cache in Classic and Zine when running in HTML4 mode (Zine, Classic)


June 2015
 » Added a condition for safari above version 7 to try to use full screen with keyboard input (known Safari issue) (Zine, Classic)
 » Fixed an issue where swiping on FlexPaper classic on a phone caused the new page to be positioned where the last one was instead of starting from top (Classic viewer)
 » Added checks to avoid touch devices from pinching outside of whats nessecary to view a page on device screen (Classic viewer)
 » Conditions added for single page view to avoid swipe left and right actions when zoomed into a document on touch devices (Classic viewer)
 » Increased the number of memory placeholders for pages in the classic viewer to avoid flickering in some scenarios when zoomed out to low zoom levels
 » Fixed ann issue where PreviewMode wasn't working correctly on IE
 » The Desktop Publisher for Zine now checks if a document is significantly larger after splitting (the duplicating internal resources for some documents can cause this).
   If its significantly larger then Zine will now use the original PDF to render the document as opposed to the split. This should reduce the size footprint significantly
   for some documents with this problem
 » Fixed an issue where the ASP.NET scripts were unable to detect publications that were already processed
 » Fixed an issue in the Classic viewer where the number of active placeholders needed were incorrectly calculated causing some documents to flicker in certain zoom sizes
 » Improved page fitting when rotating the classic viewer
 » Improved pinch/zooming to the classic viewer
 » Pinching with a touch device is now prevented when drawing is enabled in the annotations viewer
 » The pdf flip book viewer is now preventing mouse wheel zooming when in preview mode
 » It is now possible to save annotations from the annotations viewer back into the PDF using our php scripts. We will be updating our ASP.NET and .JSP scripts to do the
   same in next release
 » Minor corrections to the zoom slider which was slow on responding in some scenarios
 » FlexPaper Reflow is now launched in open beta! send an email to beta@devaldi.com to participate and try it out!
 » It is now possible to maximize the viewing area when adding Youtube and Vimeo videos to our flip book viewer
 » Fixed an issue where Android devices were not resizing the Classic viewer properly on orientation change
 » Fixed an issue where a border was added to the printout of documents when using annotations


April/May 2015
 » Fixed an issue where the flash viewer allowed rotation even if not in portrait mode
 » Fixed an issue where rotation of pages were not aligning the pages in the middle properly
 » Fixed an issue where the zoom slider was incorrectly enabled in flash mode of the annotations viewer
 » Fixed an issue where fit width and fit height were incorrectly enabled in two page and thumb view when using the flash viewer
 » Fixed an issue in FlexPaper Classic (HTML5) where fit height/fit width was using snapping incorrectly causing the fit width and fit height to be less expanded
 » Native full screen now enabled for webbit based browsers on Android (HTML5/HTML4).
   Android previously had issues with native full screeen but as this seems to be resolved we have decided to enable this
 » Fixed an issue where .rotate() was not exposed properly through the flash version of FlexPaper Zine
 » Fixed an issue where differently sized pages had their annotations misplaced in the HTML5 viewer when MixedMode was turned on
 » Speeded up the initial loading of the HTML5 viewer by smarter caching of files
 » Regression issue fixed in relation to using the zoom slider for the annotations/classic viewer where it wouldn't be reactive initially when used if fit page / fit height
   was used prior to zooming
 » A number of pinch/zoom improvements for the Classic viewer
 » Issue corrected where landscape pages would render incorrect marks in the annotations viewer
 » Fixed an issue where hiding annotations would cause them to reappear if the user scrolled far away from the marks and then back
 » Norwegian locale added to all viewers
 » Japanese locale updated
 » HTML rendering engine updated (#1.1.114)
 » A regression error related to printing for our annotations viewer corrected
 » Fixed an issue where one page documents caused an extra incorrect download of a non-existent page to pop up when trying to download the document
 » Increased rendering quality for the HTML5 viewer when used in small sizes


March 2015
 » Fixed an issue where the "+" character in file names caused documents not to open in desktop publisher
 » Improved the ability to load images in Zine Flash version
 » Improved desktop publisher stability with further fallback added for previewing documents
 » Fixed an issue where unnessecary pages would be downloaded when printing in split mode under HTML5
 » Fixed an issue where the toolbar wasn't shown in full screen on IE9, IE8
 » Fixed an issue where excess print margin was added to pages when printing in split mode using HTML5
 » New preview option added for Desktop Publisher that gives you the option of using either vectors or bitmaps when previewing your publication
   Some publications preview faster using bitmaps so we hope that having this option gives you greater flexibility
 » Fixed an issue where opening the viewer in full screen using FullScreenAsMaxWindow wouldn't close the window if clicked again.
   Clicking the Esc key will also exit the full screen mode
 » Fixed an issue where it was possible to reply to marks in the annotations viewer even if the mark had been made read only
 » Fixed an issue where pinching on Android in single page mode caused the viewer to sometimes get stuck while pinching
 » Further improvements to the touch device pinching of the Classic viewer
 » Fixed an issue where drawing in the annotations viewer on mozilla/firefox would cause the line to appear from the wrong end of the pen
 » Fixed an issue where our modal window was causing warings or errors on IE8/IE9 when used together with jQuery 1.11
 » Fixed an issue where the annotations viewer could not create marks using the asp.net scripts due to a missing column in the insert sql statement
 » Additional checks added for MSIE to avoid panning on touch devices when using the drawing tools in the annotations viewer
 » Fixed an issue where author name wasn't being passed on from annotations marks properly
 » HTML5 rendering routine updated (version 1.1.1)
 » Fixed an issue where FlexPaper was stealing focus even if the control was outside of the browser window


February 2015
 » Fixed an issue where a gap was introduced between the pages in two-page mode after performing a search
 » A number of issues related to full screen fixed for the annotations viewer
 » 3D page turning animation speed adjusted slightly
 » Minor page loader animation adjustments
 » Fixed an issue where resizing the Zine HTML5 viewer when using WebGL caused pages to unload inproperly
 » A number of minor regression issues corrected for the WebGL mode
 » Fixed an issue where printing a page in HTML5 mode would download unnessecary pages
 » Author field added to our HTML annotations viewer. Supplying UserCollaboration as false but setting the CurrentUser property will mark each
   annotation with the author.
 » Issue fixed which caused loading to fail for IE7 & IE8 in some scenarios
 » New initial loader added for FlexPaper Zine when publishing in html5 mode. The new loader will show the first page of the publication
 » Improved slider dot graphics in Zine HTML5 mode
 » Fixed an issue where the book button in the toolbar for Zine in HTML5 mode wasn't indicating the mode properly
 » Fixed an issue where switching from Zine to Portrait in the Flash flip book viewer caused the zoom to be incorrect
 » Swiping improved on phone devices for our Classic HTML5/HTML4 viewer
 » Corrected an issue where css styles were too widely defined in the HTML5 & HTML4 viewer
 » Fixed an issue where switching to full screen multiple times in IE11 would cause the full screen mode to fail
 » Fixed an issue where the bottom border of the annotations toolbar was hidden on resize
 » Fixed an issue where clearing annotatinos was not possible in some scenarios
 » Fixed an issue where the sub folder parameter was not passed on to the flash viewer properly
 » Fixed an issue where quotes (') in the file names of pdf files caused the files not to open in desktop publisher
 » Fixed an issue where zoom transition wasn't respected in HTML5 publishing mode for the flip book reader
 » Improved responsiveness in the flip book viewer, it will now use one-page mode when viewing a publication in portrait on a touch device.
   Switches to portrait on orientation change
 » Fixed an issue where the size of the document viewer shrunk when switching between portrait and flip book multiple times
 » Fixed an issue where it wasn't possible to recreate the document viewer after calling dispose


January 2015
 » HTML5 rendering routine updated (version 1.0.1040 build #997096f)
 » Improved native HTML5 rendering in iOS
 » Corrected an issue where the Zine viewer would update the current page number incorrectly on the last page in some scenarios
 » Our HTML5 flip book reader now features a enhanced hardware accelerated 3D mode that can be turned on from the desktop publisher.
   This 3D mode automatically measures the graphics card and will get turned off if the performance is too low (<35 fps). The viewer will in those
   cases gracefully degrade down to use CSS3.
 » Improved page shadows for the HTML5 flip book viewer
 » Fixed an issue where resizing the HTML5 flip book viewer would generate a javascript error
 » Improved stability of the preview mode in deskto publisher
 » Fixed an issue where tapping on a note in android caused the soft keyboard to disappear after appearing when using annotations in HTML5 mode
 » Fixed an issue where creating a note without any note text would generate errors
 » Fixed a regression issue where printing annotations in HTML5 mode didn't produce any annotations
 » Fixed an issue where clicking user added images (through desktop publisher) would prevent zoom in the Zine HTML5 viewer
 » Improved IE9 compatibility for native HTML5 rendering
 » Fixed an issue where the FullScreenAsMaxWindow didn't work for the Zine HTML5 viewer in some scenarios
 » Automatic link detection added for links in text that has not been created as links in the PDF document. Can be turned off and on by passing
   the "AutoDetectLinks" parameter to the viewer or by ticking this option inside desktop publisher (under Viewer Behavior Settings).
 » Start up screen added to desktop publisher presenting the latest news when a new version is released
 » Fixed an issue where part of the link description was appearing in the search abstracts for our HTML5 and Flash based document viewer
 » Ability to disable mouse wheel zooming now added to desktop publisher for our Zine HTML5 and Flash publishing mode


December
 » Added additional checks for documents that fail to preview in desktop publisher
 » Issue fixed where it wasn't possible to delete collaborative annotations in Chrome under the PHP set up if using collaboration mode
 » Fixed an issue where navigating using the left/right buttons in html5 mode for our classic viewer, in zoomed in mode caused the page to
   unintentionally navigate to the left or right end of the page
 » Fixed an issue where it wasn't possible to publish Vimeo videos in offline mode
 » Fix for publishing two fold publications where FlexPaper Publisher were adjusting the last page incorrectly in some cases
 » New HTML5 based uploader added to our server packages
 » Fixed an issue in desktop publisher where it wasn't possible to remove links and videos in certain scenarios
 » Fixed an issue related to entering the zoom value into the input text box of FlexPaper zine where the zoom position got miscalculated
 » Improved initial zoom position in Safari when using Zine in HTML5 mode
 » Improved page turning speed in Firefox for Mac OSX
 » Improved rendering quality at high zoom levels for the HTML5 Zine viewer
 » Tighter security checks against XSS spoofing exploits added for the Adobe Flash version (extra thanks to Francisco Alonso)


November
 » Fixed an issue related to next / previous buttons getting disabled in certain scenarios under iOS
 » Improved annotations support in full screen mode for iOS8
 » Corrections to the HTML5 annotations viewer for loading differently sized pages in MixedMode
 » A number of minor UI corrections for search abstracts in HTML5 & HTML4 mode
 » Fixed an issue where links in iOS phone devices had their links truncated in certain scenarios
 » Fixed an issue where links in iOS devices caused the pages to blur when zooming in in some scenarios
 » Improvements for desktop Safari 7.1
 » Improvements in desktop publisher for OSX Yosemite
 » Ability to disable zooming into publications now added to Desktop Publisher
 » Retina support added for desktop publisher and default rendering mode switched to GPU
 » Artwork updated for our different viewers
 » Correction for Windows Phone where it wasn't getting the correct user interface for Zine
 » Vimeo video support added to desktop publisher (Zine and Classic, both Flash and HTML5 mode)
 » New flat material style icon set for Zine! We hope you like it!
 » Issue fixed where links close to each other were not exported properly
 » Big performance improvement in converting documents on Windows for Destkop Publisher


August/October
 » Issue fixed related to collaborative annotations where the notes property of marks would cause a javascript error in certain configurations.
 » Our HTML4 and HTML5 rendering modes now feature full support for printing annotations
 » Improved fallback mechanisms for desktop publisher on problematic PDF documents
 » Our HTML5 and HTML4 viewers now support dragging in annotations mode with correct cursors
 » Fixed an issue where links were incorrectly positioned in html5 mode after resizing the browser
 » Fixed an issue where the author name of a note in the annotations viewer was unintentionally repeated
 » Fixed an issue where the ' character caused an error in the annotations viewer
 » Fixed an issue where the confirmation dialog deleting an annotation appeared twice
 » Fixed an issue where documents with upper and lower case characters of file extensions were ignored in asp.net
 » Del key keycode now working to delete annotations in the annotations viewer
 » The HTML5 and HTML4 viewer now exits full screen if fullscreen button is pressed in full screen
 » Issue fixed where IE was causing a unintentional repeat of the author name in the annotations viewer
 » Improved full screen sizing for the HTML5 / HTML4 viewer to avoid cutting the toolbar off in certain sizes
 » Search panel adjusted to avoid covering the annotation tools
 » Fixed an issue wher the refreshMarks method wasn't clearing out old annotations properly in HTML4 and HTML5 modes.
 » Fixed an issue where it wasn't possible to set focus on the search text field in the customizable build for annotations
 » A number of minor issues corrected in our HTML5 and HTML4 annotations viewer
 » You can now add phone numbers to your publications in FlexPaper Desktop Publisher
 » New event triggered in FlexPaper Zine when a user clicks one of the social share buttons ("onSocialMediaShareClicked")
   with the name of the social media as argument


July
 » Fixed an issue related to twitter modal windows conflicting with the modal window rule in flexpaper.css
 » Ability to disable and enable page shadows in Zine publications added to desktop publisher for both Flash and HTML5
 » Fixed an issue where the Reply button wasn't initially fully visible in flash mode when using collaborative annotations for some zoom levels
 » Fixed an issue where the tooltip wasn't correct when using the flash annotations viewer in collaboration mode
 » Fixed an issue where printing the current page in flash  mode would hide the annotations after completion
 » Fixed an issue where the reply button would be visible in print when using collaborative annotations in flash mode
 » Improved publishing speed in desktop publisher
 » Fixed an issue where minimising an empty annotation in flash mode would cause an incorrect dialog to appear about deleting the annotation
 » Performance adjustments for desktop Safari on OSX (HTML5 mode)
 » Improved mouse wheel scrolling support for FireFox and fixed an issue where mouse wheel scrolling in Chrome version 36 and higher would cause the viewer to get out of position
 » Corrected an issue where the drawing cursors were not enabled in the annotations viewer for MSIE 10 and higher
 » New method: refreshMarks method to the annotations viewer. Refreshes all annotations on all visible pages (accessed using $FlexPaper('documentViewer').refreshMarks())
 » Printed range added to the onDocumentPrinted event
 » Fixed an issue where differently sized pages would not load properly in HTML5 single file mode
 » Fixed an issue where the drawing color wasn't being set properly in the annotations viewer when using sticky mode
 » Fixed an issue where the annotations viewer was not including note property properly in onMarkCreated and onMarkChanged events for some scenarios
 » Fixed an issue where the android soft keyboard was not hiding properly when leaving focus on text notes in the annotations viewer


June
 » Regression issue fixed where the viewer wouldn't download the full publication in some scenarios even if provided (Zine)
 » Issue fixed where the hide/show annotations were not calling hide/show properly in the customizable annotations build
 » 'forceSinglePage' will now work on desktop as well as mobile mode of the html5 viewer. Please note that the bottom thumb nails will
   not be visible with this turned on.
 » FlexPaper classic flash version will now use the supplied JSON file (if any) to generate links with better accuracy. It will also precache
   JSON files to improve search speed
 » Correction where onCurrentPageChanged didn't fire properly on touch based devices when using the page number input box
 » Further checks added to next() and previous() in the HTML5 viewer to avoid spamming with events
 » Corrected an error related to displayFormat not being set properly when creating associative annotations
 » Improved checks for avoiding asp.net to fork too many processes in split mode
 » Improved the ability for Safari on desktop to zoom using transform scale in HTML5
 » The aspnet package for our annotations viewer has been updated and a few issues fixed
 » Alternative export option added for images in desktop publisher. It uses the SWF file format to export to PNG. Enable it under the
   conversion settings in desktop publisher
 » onPageLoaded event added to the HTML5 viewer
 » Improved responsiveness to the toolbar in the annotations viewer for small touch devices (such as the iPhone)
 » Issue fixed where IE10 and below would draw associative lines in HTML5 mode for the annotations viewer incorrectly
 » Fixed an issue where onMarkDeleted was not triggered when using the api for the HTML5 annotations viewer
 » Further checks added for new annotation marks being added to the HTML5 viewer in order to avoid duplicates in very specific scenarios
 » Added a missing swfsize query script for our ASP.NET annotations set up package
 » Fixed an issue where the HTML5 viewer would return the note in note marks as a XML object as opposed to a string when using collaborative mode
 » Fixed an issue where some annotations would not update properly in HTML5 mode when using the ASP.NET sample scripts
 » Fixed an issue where collaborative annotations were not recreated properly in HTML5 mode for some server side scripts
 » Fixed an issue where marks in collaboration mode would sometimes cause a jQuery error to be trown
 » Improved sharpness of HTML5 rendering in both Classic and Zine
 » HTML5 rendering routine updated (version 1.0.441 build #0ac8380)
 » Issue related to using odd number of backslash characters in flash mode of our annotations viewer fixed
 » Issue related to the print and cancel print button of our html5 viewer fixed where it would cause incorrect navigation in some scenarios
 » Issue fixed where StartAtPage was not passed through properly in the Flash customisable classic viewer for some scenarios


May
 » HTML5 rendering routine updated (1.0.117 build #6a800eb)
 » Issue fixed where the mouse wheel handler for flexpaper classic in flash mode caused repositioning issues
 » Small corrections to the flat design of the annotations viewer
 » It is now possible to adjust the flip speed for the page transition in FlexPaper Zine from desktop publisher (under Publication Settings)
 » Issue corrected where cancelling the print dialog didn't cancel the print when printing in flash using split mode
 » Issue corrected where it wasn't possible to select existing selection annotations in certain scenarios
 » The annotations viewer in flash mode now adjusts the font size of notes so that they are always readable even when zooming out
 » Our annotations viewer now supports collaborative notes. Setting the following parameters enables collaboration between users in notes
   {
     UserCollaboration : true,
     CurrentUser : 'Username'
   }
 » Issue fixed where printing using flash in some browsers caused the print dialog to stay after the print completed
 » Issue fixed where the viewer would not resize to fill screen in full screen mode when using the FlexPaper classic customizable build
 » Issue fixed where FlexPaper would steal focus incorrectly in IE11 and below
 » PHP scripts updated to use readfile for binary files to avoid encoding issues for certain environments
 » Fixed an issue where some annotations with associations were not deleting their associated objects properly in flash mode
 » Added extra visibilty for the scrollbar in webkit


April
 » Additional checks added to avoid complex documents from timing out when being opened inside desktop publisher
 » Issue fixed for the annotations viewer where single page documents could not get associative selections
 » Issue fixed where desktop publisher was adding "http://" to "https://" links unintentionally
 » Issue fixed where editing a link in desktop publisher caused the link to blank out unintentionally
 » Issue fixed where it was possible to delete annotations set to read only when in HTML4/HTML5 mode
 » Issue fixed where full screen wasn't working in older (IE9 and below) when using the customizable HTML4 viewer
 » Issue fixed where some annotation markers (notes with points) were double-painted incorrectly
 » Issue fixed where switching back and forth between portrait and flip book mode caused the viewer to hang when using Zine in HTML4 and HTML5
 » Issue fixed where it wasn't possible to remove an added image in desktop publisher in some scenarios
 » Issue fixed where the drawing tool was not reset properly when switching between tools in the annotations HTML5 pdf viewer
 » Various regression issues fixed for IE9/IE10 in the HTML4/HTML5 rendering modes
 » Additional checks added for refreshing the search abstracts in HTML5 mode when changing search term
 » Issue fixed where using IE8 in HTML mode was causing some pages to unload incorrectly for some scenarios
 » Issue fixed where thumb headers were visible in Zine flash mode when switching to portrait for some scenarios
 » Issue fixed where IE8 and below were not loading links properly in BookView mode for Zine (when using HTML rendering)
 » Issue fixed where annotation notes in read only mode were editable in some specific scenarios for the HTML4/HTML5 viewer
 » Issue fixed where onCurrentPageChanged was fired on touch devices when swiping past the last page for some scenarios
 » Issue fixed on visibility of the highlight function in HTML5/HTML4 mode
 » Issue fixed where the comment/text association tool wasn't getting deselected properly
 » Adjustments to how the annotations viewer refits the page after zooming back out again on touch based devices
 » Improved retina icon set added for the flat UI design in mobile
 » Issue fixed where sharing a publication through twitter,facebook,linkedin or tumblr caused the viewer to always be shared in miniature mode
 » Issue fixed where the document name would not be properly tracked in Google Analytics for some specific scenarios
 » Issue fixed where searching documents in single file mode in HTML5 caused errors in some cases
 » Fixed an issue where the drawing canvas would not be enabled when scrolling down the document in HTML5 mode for the annotations viewer
 » Additional optimizations for disposing the viewer in all modes
 » Small corrections to overflow of the classic viewer to avoid extra scroll bars in some scenarios
 » Issue fixed for Android where the device was incorrectly identified if using the Dolphin Browser
 » Issue fixed where old versions of Safari were using the BookView mode instead of the supplied mode in FlexPaper Classic
 » Improved fallback on when failing to draw images with mudraw in desktop publisher
 » It is now possible to configure the alpha level of links (from 0 to 100%) in desktop publisher


March 2014
 » Compatibility changes to the FlexPaper html5 & html4 viewers to make them fully compatible with Twitter's bootstrap framework.
 » Improved pinch/zoom support for Android devices in Classic viewer
 » Issue fixed where IE 10+ would fail to use worker threads in some scenarios causing the viewer not to render properly
 » Extra checks added to the Zine flash & HTML5 viewer to avoid texts from appearing in search abstracts that were not part of the visible area of a publication
 » Korean and Japanese language translations added
 » onDocumentLoaded event correction for Flash Zine viewer
 » Additional security checks for search engine indexing scripts added
 » Fixed an issue related to signing and password protecting documents when in flash mode
 » Improved PHP version compatibility with our password & signing scripts for desktop publisher
 » Social sharing now disabled by default. Can be enabled through the desktop publisher style menu
 » Issue fixed where links were not repositioned properly when going into full screen in Zine when using HTML5 and HTML4 for some scenarios
 » Issue fixed where onCurrentPageChanged was not fired properly in FlexPaper classic on touch devices when wiping left and right
 » Regression issue fixed where IE9 would use an incorrect canvas library version in the annotations viewer
 » Issue fixed in our classic viewer where the full screen mode would not resize the viewer properly if percent had been used in the style attribute of the viewer container
 » Issue fixed where removing annotations would not work in some scenarios through the API if only id is supplied
 » Further optmizations on how events are unbound when disposing the viewer
 » Height adjustments to our UI customizable annotations viewer to better fit with actual specification
 » Improved consistencies between flash and html5 for annotations when using Sticky Tools
 » Improved positioning of controls in the customizable annotations viewer
 » Print dialog in HTML5 viewer now defaulting to English if the locale isn't found
 » Size corrections for swipe detections on phone devices in our classic viewer
 » onDocumentLoaded now fired in split mode accross the viewers. This should make binding annotations easier to handle
 » Fixed an issue in our flash viewer where notes could not be dragged properly in split mode on some pages
 » It is now possible to allow the image to be changed when a user is hovering an image in FlexPaper Zine. This setting can be done in dektop publisher (add image button)
 » Issue fixed in desktop publisher where modifying an image in some steps would cause an extra image to be added
 » Split functionality implemented for our java package (for the HTML5 rendering mode)
 » Issue fixed where it wasn't possible to annotate over links in HTML5 mode in some scenarios
 » Link color corrected for Flexpaper Classic
 » Issue fixed where the text layer was incorrectly unloaded when scrolling fast in some scenarios
 » Issue fixed where firefox was firing an error when clicking on the highlight button in HTML5 mode when using annotations
 » Issue fixed where clicking on the zoom slider's slider did not result in zooming into the document
 » Desktop Publisher now allows settings from old publications to be imported including link, video and image elements. It does not save these elements when saving
   settings as a template
 » HTML5 rendering routine updated (0.8.1277 build #cebf783)
 » Minor build issues corrected in the ASP.NET sample scripts for the customizable classic viewer
 » Fixed an issue where some publications would be incorrectly cropped to include bleed in HTML5 mode and size optimizations for Zooming into HTML5 publications in MixedMode
 » Fixed an issue where link highlighting would not highlight links when rolling away from them
 » Fixed an issue where many links to a page could cause some links to be incorrect in size
 » Improved support for Android pinching in FlexPaper Classic
 » Safari 7 and above now uses zoom transitions. The early versions of Safari 7 had issues with this but this seems now to have been resolved by Apple and this can therefore
   be enabled again
 » Our alternative flat design has been included in our customizable annotations build
 » Fixed an issue where the viewer was unintentionally stealing focus in Internet Explorer
 » Optimizations and fixes for highlighting (the .highlight method) in HTML5 mode


February 2014
 » Rendering quality for the HTML5 mode improved for Firefox in OSX
 » Issue fixed where custom links, videos and images would appear incorrectly positioned in mixed size publications when viewing the publication in HTML5 mode
 » Issue fixed where the Portrait mode would start on the wrong page in some scenarios
 » Multiple viewer instances now fully supported in FlexPaper Zine
 » New parameter added for enabling/disabling search abstracts (EnableSearchAbstracts)
 » Printing the Current page in Zine now prints both visible pages. It was previously only printing one of them
 » Mouse wheel scrolling area increased in the HTML5 and HTML4 mode for Zine
 » Issue fixed where creating links,images or videos by creating selections from bottom to top were creating incorrect sizes for the elements
 » Issue fixed added images would not appear in preview of the publication in Desktop Publisher
 » Issue fixed where using strikeout and then the note tool would create unintentional strikeouts when having StickyTools turned on
 » Issue fixed where it wasn't possible to rotate the next to last page in the flash viewer
 » Correction so that FlexPaper AdaptiveUI classic non-customizable uses the right toolbar in touchable laptops
 » Adjustments to how the viewer is resized when reloaded using the $FlexPaper('documentViewer').load() method
 » Offline publishing now available to unlimited license holders. Commercial license holders will be able to register a key for offline publishing during February.
 » Issue fixed where last page was inaccessible in SinglePage mode when using HTML4/HTML5 rendering
 » Issue fixed where the search marker in Zine HTML4/HTML5 mode would be appended and widened if the search result was clicked more than once
 » Improved ability to allow Google to index your publication from within Desktop Publisher. Expand the advanced settings in the "Publish & View" dialog to access
   new options for controlling this
 » Printing quality improved for printing in HTML5 mode
 » Small corrections to the signing php scripts to avoid mishandling headers on certain configurations
 » Small corrections for how touch based devices use Portrait or SinglePage mode when starting up in HTML4/HTML5
 » Small corrections to the asp.net set up package
 » Hint text for Download PDF added
 » Fixed an issue where getCurrPage() wasn't returning the correct page when using Zine in HTML4/HTML5 mode for some scenarios
 » Social network sharing dialog added to FlexPaper Zine. Publications can now be easily shared to Twitter, Facebook, Tumblr and LinkedIn and embedded on any site
 » Progress info added to the print dialog when printing in split mode using Adobe Flash
 » Fixed an issue where the onCurrentPageChanged event would not fire in Zine when using HTML5 mode in portrait
 » New method ("getCurrentRenderingMode") added for Zine returning either flash,html or html5 depending on what is being used
 » Mouse wheel scrolling improved for Zine & Classic in webkit based browsers when using the Flash rendering mode
 » Improved zooming motion into Zine flash publication so that it zooms into where the user clicks
 » Issue fixed where searching when in zoomed in mode on touch devices caused pages to render incorrectly in some scenarios for FlexPaper Zine
 » Tweaks to mobile browsers as to which uses native scrolling and which that does not


January 2014
 » Issue fixed where some 1-page documents would fail to load in IE8 when using HTML mode
 » Adjustments to image quality in publishing to Flash from desktop publisher
 » PDF2JSON updated to escape all control characters and version bumped to 0.68
 » Mouse wheel zooming now tracks the mouse movements in Flash and HTML5 mode of FlexPaper Zine
 » Read only mode now possible to set through the UIConfig file in Zine. Desktop Publisher also made more clear about where to find this mode
   Trial users of Desktop Publisher are now also able to try this mode.
 » Missing retina icons included in Desktop Publisher for Windows
 » Classic viewer improved to use the supplied thumbnail images
 » Accuracy of navigation improved in thumb view mode for the classic viewer to avoid unintentional clicking on thumb nails
 » Issue fixed where links on single page PDF documents were mispositioned in HTML5 format
 » Issue fixed in desktop publisher where desktop publisher will retry if some of the party libraries would crash during conversion
 » Issue fixed where PDF file names in brackets ([,]) would not convert in desktop publisher
 » Issue fixed where Safari version 4 and below would not display the thumbnails in Zine mode properly
 » Issue fixed where going into true full screen twice in a row in Classic Customizable build caused the viewer to resize improperly
 » Issue fixed where landscape documents would not display thumb nails in correct proportions when using HTML5 mode in IE version 9
 » Issue fixed where the current search match would disappear when scrolling through the Classic viewer in HTML4/HTML5 mode
 » Issue fixed where links,video and images would not be repositioned/resized properly if the viewer was resized or repositioned in HTML5 mode
   while using the flip book mode
 » Issue fixed where images added to our flip book viewer would be incorrectly loaded in some scenarios when using the flash viewer
 » Issue fixed where manually added "mailto:" links would open as http:// links in Flash and HTML5
 » A first version of highlighting using Adobe XML added to API for the HTML4/HTML5 viewer
 » Support for mail address links added to Desktop Publisher
 » All locale settings now fully supported in FlexPaper customizable classic
 » It is now possible to bind links to images in desktop publisher when using the add link button
 » Earlier versions of Safari (below 5) are now supported in the HTML4 mode
 » Desktop Publisher now exports hidden text as well to better support OCR scanned documents
 » A first version of offline publishing added to FlexPaper Desktop Publisher for Zine. We will be rolling this out to unlimited license holders initially.
   Offline publishing is counts as a domain and 1-domain license holders will need to purchase an additional license if they want to be
   able to publish documents offline. Only one extra license is needed to make unlimited number of offline publications.
   Desktop Publisher for FlexPaper Classic will be getting this functionality in February.
 » HTML5 rendering routine updated 0.8.894 (build #ac91047)


December 2013
 » Issue fixed where performing a search in FlexPaper Zine flash followed by switching into a different view would cause the viewer not to show
   the document
 » Improvements to the annotations build making the note widget easier to resize on touch devices
 » Issue fixed where a selection from a lower point to a higher point would create an incorrect annotation mark in the Classic Annotations viewer
 » Issue fixed where it wasn't possible to select text inside annotation notes on iPad
 » Issue fixed where annotations would not be repositioned properly on resize of the browser window in HTML5 mode
 » Regression issue fixed where the annotations viewer would not resize on rotating a device
 » Fixed an issue related to external urls missing the leading "http://" which would not work in the flash mode of Zine
 » Optimizations for landscape documents in Flash mode within FlexPaper Zine
 » Issue fixed where publications with their thumbnails hidden in Zine would in some scenarios not show in IE10
 » Fisheye thumbnails improved for Zine in IE9 and IE10 when using FlexPaper in flip book mode with rendering mode set to HTML4 or HTML5
 » Mouse wheel support added for Zine (when viewing your publication as a flip book)
 » Issue fixed where fisheye thumbnails in Zine would appear in full screen even if turned off if the viewer was using PreviewMode.
   This was affecting the flash viewer only
 » Validation of documents containing non-JSON (non printable, control characters) compatible characters further improved in Desktop Publisher
 » Improved accuracy of selections in HTML4 and HTML5
 » FlexPaper in HTML5 mode now allows documents to be loaded from a Uint8Array. An example of how this is done will be posted on our blog.
 » Improved android pinching support in FlexPaper flip book mode
 » Rendering quality further improved for Android devices in flip book mode
 » Rendering quality further improved for iOS retina devices in flip book mode
 » Issue fixed where Zine would zoom unintentionally when dragging the corners of the pages in HTML5 and HTML4 mode
 » Links will now give a link hint when hovering a page in Zine in both Flash and HTML5
 » New Zine style property: Link color. Use this to set the desired link color in your publications
 » Issue fixed where the mobile preview in Desktop Publisher would respond to single clicks as opposed to double clicking which is what mobile devices
   do


November 2013
 » Search abstracts added to the FlexPaper Classic viewer
 » New flat design implemented for FlexPaper Classic customizable build
 » Page loader position corrected in FlexPaper Classic
 » Touch/wipe regression issue corrected for FlexPaper Classic
 » New init view mode added for touch devices. Supplying "TouchInitViewMode" will use the supplied view mode for touch
   only devices such as tablets, phones. If nothing is supplied then the viewer will assume "SinglePage" for tablets/phones.
 » Touch/swipe improved in SinglePage mode for FlexPaper Classic
 » +/- buttons now zooming on touch devices too, were previously using fit width/fit height
 » Pinch/Zoom for SinglePage mode on touch devices improved
 » Margin adjustments to annotation tool bars
 » Mixed Mode (optimized HTML5 loading) added to modes: 'Portrait', 'TwoPage', 'BookView' and 'ThumbView'. Split mode is required to take advantage of MixedMode.
 » Issue related to loading document files across domains in Flash split mode fixed
 » Issue fixed related to loading different size documents in Flash (Portrait mode) where the resulting page would be
   too large (causing extra white space around the page)
 » Issue corrected where pages were not being unloaded properly in some scenarios for the HTML4 portrait and single page rendering mode
 » Fixed an issue where the selectable text would not be added properly when using split mode in TwoPage and SinglePage for the HTML4
   rendering mode
 » Minor corrections for the HTML4 mode when using the Flip Book mode.
 » PDF2JSON updated to version 0.66 improving with the ability to fully describe external links
 » Issue fixed where link hints (hovering over a page) in HTML5/HTML4 mode would not be removed when rolling out of the page
 » New publication preview mode added which shows the front page of the publication with a clickable arrow.
   Set the 'PreviewMode' parameter to 'FrontPage' to use this new mode. The parameter 'PublicationTitle' can also be set in conjunction
   to this which will display a title for the publication if set.
 » Issue fixed where onCurrentPageChanged was not being fired in Portrait when using Zine (the turn page/flip book) in flash mode
 » Retina rendering mode for iPad in Zine improved further in performance in particular as to how dom elements are created
 » Publication preview can now be configured in the style section inside FlexPaper Desktop Publisher
 » Fixed an issue where certain links would not be clickable in very specific scenarios when using FlexPaper flash in flip book mode
 » Various performance optimizations
 » Improved dispose method for Zine in HTML5/HTML4 mode as some references to events were still undisposed after calling dispose
 » Reduced memory footprint on the flip book in HTML5 and HTML4 mode
 » onDocumentLoadedError now supplying error text in HTML4 & HTML5 mode
 » CSS performance improvements from removing unnessecary > * selectors
 » Improved security restrictions for how documents are loaded in our PHP/ASP.NET/JAVA examples
 » onInitializationComplete event added which fires when the viewer has initialized
 » Issue fixed for the annotations bottom toolbar on touch based devices
 » Issue corrected related to not being able to draw on visible pages on iOS7 devices in some scenarios
 » Slight corrections in relation to touch support for iPad (HTML4/HTML5) mode when viewing the document in portait mode
 » Issue fixed where certain user defined links would not appear properly in Zine (HTML4/HTML5 mode)
 » Fixed an issue where the Zine viewer in HTML4/HTML5 mode would shrink too much when resizing the window
 » FlexPaper Desktop Publisher now escapes all non-ascii characters (for example, 'å' becomes '\u00e5') becomes when exporting
   JSON files which will help in making more PDF files IE7 compatible when using the HTML4/HTML5 modes
 » Issue fixed where PDF files would not be downloadable in Zine flash version even if the download icon had been included
 » Issue corrected in a scenario where setting MaxZoomSize caused viewer not to be able to zoom when using Zine in HTML5/HTML4
 » Issue corrected where slider input controls in desktop publisher were not initialized properly
 » New style property added to FlexPaper Zine: ability to turn stretching of background on or off
 » Fixed an issue where custmo background color was not being set properly for tablet devices in Zine



October 2013
 » Touch support added for iPad in HTML4/HTML5 portrait mode
 » FlexPaper Zine iPad version enhanced to support higher resolution for touch devices when zooming into the document (requires PHP & GTK2)
 » Issue fixed relating to certain links where they would be incorrectly broken up into sections causing the links to be incomplete when clicked (HTML4/HTML5 mode)
 » Issue fixed for annotations in IE9 when using the HTML rendering mode
 » Last/first navigators added for Zine in HTML4/HTML5 mode
 » FlexPaper Zine Icons added for retina/HD desktop displays (labelled [name]@2x.png)
 » Corrections for hidden text and control characters in exporting to HTML4/HTML5 from desktop publisher [on Windows]
 » Correction for shading in Zine for HTML5/HTML4 (regression issue from 2.1.7)
 » Fixed an issue relating to drag-turning pages in HTML4/HTML5 where the viewer would zoom in unintentionally in some specific scenarios
 » Fixed an issue related to links being created multiple times causing performance degradation in HTML4/HTML5 mode for Zine
 » Performance improvements to sliding and dragging in Zine HTML4/HTML5
 » HTML5 Fisheye thumbnails performance improvements
 » The Viewer is now giving the clicked/tapped page in Zine rendering priority to improve performance while reading
 » Links and custom links made more visible in HTML4/HTML5 mode
 » Regression issue corrected for Zine in relation to loading new documents through the load({PDFFile : 'filename.pdf'}); API
 » Fixed an issue related to thumbnails showing up incorrectly when in Zoomed in mode in HTML5 mode and resizing the browser window
 » Desktop Publisher now tries to repair PDF files that it fails to publish on first attempt
 » Youtube videos when played in HTML5 viewer will now stop if playing when navigating away from the page
 » Desktop Publisher now able to sign documents and add password protection for your PDF documents to prevent them from being downloaded
 » Issue fixed related to searching for two different phrases causing the search abstracts not appearing the second time in Flash mode for Zine
 » HTML5 PDF rendering routine updated (0.8.633 build # fa03a77)
 » Full screen support added for IE 11 to our HTML4/HTML5 pdf viewer
 » Support for Android in pinch and zoom plus navigation improved for Zine in flip page mode


September 2013
 » Issue fixed for Firefox on Mac where zooming into Zine could cause the browser to 'wiggle'
 » Issue fixed related to disabling/removing the number of pages field in FlexPaper Zine (flash mode)
 » Fixed an issue related to the new PreviewMode where thumb nails would not appear after going into full screen
 » Quality and performance improvements for the HTML5 MixedMode
 » Fixed an issue related to IE and the fisheye thumb nails in Zine HTML mode
 » Improved shading in Zine HTML4/HTML5
 » Improvements to the wordpress plugin to be fully compatible with the latest version
 » Issue fixed where videos and links would not rescale when going into full screen for Zine in HTML4/HTML5 mode
 » Desktop Publisher has now been set not to copy FlexPaperViewer.swf to output directory if the flash has not been selected as output format.
 » Drop shadow effects added to Zine in HTML4/HTML5
 » Issues fixed for Windows 8 based touch PCs which were using the mobile user interface incorrectly
 » Memory optimizations for Zine in HTML5 mode
 » Rendering flickering reduced in HTML5 for Zine
 » Dual rendering mode disabled when using MixedMode as it has been concluded that split mode works better together with MixedMode to
   deliver the sharper focused file as quickly as possible
 » Issue related to mouse origin when using zoom slider in Zine HTML5 mode fixed
 » Issue fixed for Zine in HTML5 mode where documents which are wider than they are high would render their 'fish eye' icons incorrectly
 » Major update to our Wordpress plugin with automatic conversion of documents
 » Issue fixed for publisher to avoid keyboard handlers to interfere with user input
 » The ability to save style settings as new templates in Desktop Publisher added
 » Caching improved for various scripts in the HTML5 viewer
 » Pinch to zoom support added for Android devices in Zine
 » Issue fixed for resizing Zine in Portrait on iPad devices where extra margin was added to the bottom of the viewer
 » Tablets and phones now have their own configuration sections in UIConfig so that icons can be better added in regards to the display
 » Corrections default phone vs tablet icons in Zine
 » Initial position for page 1 corrected for Zine in HTML5/HTML4 mode so that it starts in middle when in two page view
 » Fixed an issue related to printing split PDF documents where unnecessary pages were being loaded
 » Fixed an issue related to hovering and dragging lower corners when fisheye is activated in Zine (HTML5/HTML4 mode)


August 2013
 » Issue fixed related to scrolling in portrait on mobile devices where page number was not being updated properly in some scenarios
 » FlexPaper Publisher now better optimizes output of image files and converts PNG to JPEG for better compression. Sizes of publications
   will be greatly reduced because of this
 » FlexPaper Publisher now automatically splits two-fold publications into individual pages.
 » Changes to "image quality" now also affects the output of the HTML mode
 » FlexPaper now supports a "dual" mode for rendering documents in HTML5 mode. This mode uses either split mode or single page
   mode for HTML5 depending on if the server and the browser supports range-requests or not. The following example shows how to use the
   dual mode manually (please note that JSON file needs to be supplied for the split mode to work in HTML5):
   PDFFile : "pdf/Paper_[*,2,true].pdf",
 » HTML5 PDF rendering routine updated (0.8.335 build # 6c6719e)
 » The HTML5 rendering mode now supports worker threads when using the HTML5 mode in single file mode
 » Major performance improvements for the HTML5 rendering mode
 » Zine loader animation updated and improved so that it shows up more quickly when turning a page
 » Issue fixed (regression) related to selecting text in portrait mode for the flash rendering mode when loading in split mode
 » Issue related to using StickyTools and annotations on iPad corrected
 » Issue related to opening the classic customizable viewer in full screen using IE older than version 10 fixed
 » Adjustments to the thumbnails in Zine for the HTML4/HTML5 rendering mode
 » Issue Fixed for true full screen in some webkit browsers
 » Improved performance for the HTML4 rendering mode
 » New introduced "MixedMode" parameter allowing the HTML5 rendering mode to use images when the zoom scale is small enough for the image
   to deliver better quality faster. Currently only available in Zine but will be propagated to Classic as well.
 » New miniature mode parameter "PreviewMode" added for Zine allowing the viewer to be displayed in a miniature fashion without
   toolbars and thumbnails. The viewer will go to full screen when clicked on in this mode.
   See http://flexpaper.devaldi.com/examples/usecases/Education/Education_page_flip.jsp for an example of this
 » Issue fixed for FlexPaper Zine Flash to make thumbnails rerender in larger size when entering fullscreen
 » Issue fixed for FlexPaper Zine HTML4/HTML5 mode where thumb nails would be unresponsive to mouse over after resizing the control
   in firefox
 » The clicked "Zoom in" position improved for Zine HTML4/HTML5
 » Issue fixed for Zine related to the StartAtPage parameter in HTML4/HTML5 mode
 » Hardware acceleration now enabled for Safari on desktop for Zine in HTML4/HTML5 mode
 » Issue fixed for Zine where a user background image would not be visible when going into full screen
 » Issue fixed related to Zine flash where the viewer would be incorrectly sized in some scenarios when starting on a specific page
 » Issue fixed where going into full screen on iPad/iPhone would render a too large device view port
 » Transitioning smoothness improved and a issue related to flickering on Chrome fixed


July 2013
 » Fixed an issue related to Safari and opening Zine in full screen
 » Fixed an issue related to switching back and forth between Zine and portrait and having images and links on the same pages
 » AdaptiveUI now supports printing in HTML5 split mode
 » Issue related to hiding/showing annotations fixed
 » Issue related to using the load method in flash mode for the annotations build fixed
 » FlexPaper Desktop Publisher now allows the alpha to be changed on panels
 » Random number added to the url for the resource files when publishing documents through FlexPaper Desktop Publisher, to avoid cache problems
 » Zoom Panning in Safari for the HTML5 and HTML4 rendering modes further improved
 » Issue related to text/link sizes in zoomed in mode for Zine on Safari fixed
 » Previewing documents in FlexPaper Desktop Publisher improved in stability
 » Mobile preview now available in Desktop Publisher (click on publish/view and then mobile preview after publishing has completed)
 » Fixed an issue where images/links/video would disappear when zooming into content for FlexPaper Zine. This was affecting webkit based browsers
 » Fixed an issue where printing in split mode for in Chrome (Pepper Flash) would not print all pages due to an issue in Pepper Flash's sandboxing limitations
 » Fixed an issue related to mouse wheel & two finger scrolling in Mac
 » Fixed an issue related to printing in HTML5 and the page not utilizing the full width of the print
 » Print progress added for the HTML5 rendering mode
 » Fixed an issue where the background image would not be visible in HTML5 mode for Zine
 » Fixed an issue where the background image would not stretch in some scenarios when using flash mode
 » Fixed an issue which prevented Flexpaper from being used in multiple instances when using the HTML5 rendering mode
 » Fixed an issue where annotations on page 2 would not be visible initially in some specific scenarios, for the HTML5 viewer
 » Optimizations for the upcoming version of iOS (version 7)
 » HTML5 PDF rendering routine updated (0.8.320 build # 9ac2584)
 » FlexPaper Classic now supports adding links, images and video on top of documents using the API as well as from Publisher!
 » Fixed an issue related to starting youtube videos from the portrait mode
 » Corrected an issue where it wasn't possible to create highlights in the annotations viewer on iPad by first selecting highlighting color


June 2013
 » Fix applied for onExternalLinkClicked which was not triggered properly from the HTML/HTML5 rendering mode.
 » Panning accuracy when dragging Zine in flash mode improved
 » Fixed an issue related to adjusting certain page sizes in IE 8, IE 7 for FlexPaper AdaptiveUI
 » Corrected an issue related to iOS 6 and above which were not loading pages in zoomed in mode for Zine in scenarios where the document contained spaces
 » Issue corrected where the print dialog would cause zoom right after clicking cancel or print for FlexPaper HTML/HTML5 mode
 » Issue fixed releated to nav panels showing in 1-page documents for Zine in HTML/HTML5 mode
 » Regression issue related to showing certain links in Zine HTML when supplying both a PDF and JSON file fixed
 » Issue fixed related to even numbered documents not displaying the fisheye thumbnail on last page
 » As the Safari browser does not support range requests, FlexPaper no longer tries to impose this on the Safari browser
 » Issue fixed related to 'BookView' where the initial scale would be wrong and cause the page not to fit properly initially in some scenarios
 » Issue fixed in java package related to locating the config file after saving
 » FlexPaper Publisher changed to use split mode for the preview to keep memory down and provide further consistency between preview
   the published copy
 » Zine in flip book and Portrait mode for HTML/HTML5 adjusted to take page number into account when switching mode so that the viewere stays
   on the current page
 » Issue fixed for Zine in flash mode where zooming in using mouse down would not work for landscape documents in certain scenarios
 » Android now defaults to 1-page mode if the phone or tablet is in portrait mode when entering the publication
 » Fixed an issue where the full screen button wasnt bound on mobile for the FlexPaper classic viewer
 » Fixed an issue related to text input fields in IE7 For FlexPaper Classic
 » Issue fixed related to not binding the enter key to search in certain scenarios, for the customizable version of FlexPaper Classic
 » HTML5 PDF rendering routine updated (0.8.187 build # 59f2e71)
 » Fixed an issue related to white space being added to different size pages in Zine flip mode
 » Added hash listener which makes the viewer navigate to a desired page through the use of #page in the url.
   For example http://www.mydomain.com/flexpaper/viewer.php#page=5 navigates to page 5. This also works as a
   starting parameter instead of using StartAtPage in your code. This works across all technologies (html/flash/html5)
 » Corrected an isssue where the dispose method would not be exposed externally properly
 » FlexPaper Publisher now asking for license key on startup to simplify the publishing process
 » Bug related to resizing the flip book viewer in HTML/HTML5 mode corrected
 » Added options for rasterization and text quality for FlexPaper Desktop Publisher
 » Added button to publishing dialog for viewing the folder where files were published
 » Publications in FlexPaper publisher now get their own folder per default
 » FlexPaper Publisher now supports optimizing for PHP to provide JPEG and sliced high res JPEG images
   when PHP is available
 » Support for Google Analytics added to all builds through the "TrackingNumber" parameter. It currently tracks each
   page view together with the document name
 » Performance improved greatly in FlexPaper Publisher
 » Zine now auto hides the toolbar to save space when viewing publications in single page mode on mobile devices
 » Zine flash mode adjusted when hiding the thumbnails to allow the viewer to maximise the available area
 » Support for background images added to FlexPaper Zine through FlexPaper Desktop Publisher
 » Issue corrected for FlexPaper Desktop Publisher related to splitting pdfs with pdftk in OS X
 » The FlexPaper PHP examples now support sub folders
 » FlexPaper Desktop Publisher now supports adding images and video (Youtube videos)


May 2013
 » Bug fixed for IE in HTML mode when zoomDragMode (FlexPaper Zine) was set to false
 » Fixed an issue related to 'BookView' and recreating annotations
 » Issue fixed related to the text not being sharp when opening Zine in full screen for the HTML5 mode
 » Improved script and css directory detection to better support moving the flexpaper js and css files
 » Corrected an issue related to using the HTML5 split mode on touch devices
 » Preloaders for the flip book aligned (html/html5/flash)
 » Bug fixed for IE 8 and IE 7 in HTML mode for Zine when using customizable user interface
 » Zine flash mode now displays search abstracts in split mode using a supplied JSON file
 » Bug fixed for FlexPaper in flash mode where printing was causing extra margin to the left and AutoAdjustPrint wasn't working
 » Annotations (flash mode) now supports different colors for notes (with a colorpicker)
 » Zine flash mode in search mode optimized further for higher performance
 » Corrected an issue where IE 8 and other HTML5 unsupported browsers would try to use the HTML5 rendering mode
 » A few extra checks for the ASP.NET package added to verify that pdf2swf and pdf2json can write to disk
 » Corrected an issue related to drawings in flash mode which were created in html mode
 » Corrected an issue related to drawings being created without '#' in front of color causing them to turn black
 » Zine for iPhone now showing white background properly when displaying flip book in single page mode
 » Issue corrected for Zine in single page mode (iPhone mode) where page number wasnt being displayed properly
 » Zine now supports thumbnails (with zoom effect) in HTML mode for IE 9, IE 10
 » PHP scripts for FlexPaper Zine updated to support loading sliced high resolution images.
 » Offset issue corrected for the fisheye icons in Zine (HTML/HTML5 mode)
 » Size margins adjusted for Zine in HTML mode, as the horizontal scroll bars did not show in portrait mode while using Zine
 » Issue fixed where the Zoom scale wasn't updated properly when navigating out of Zoomed in mode with nav buttons (in HTML/HTML5 mode for Zine)
 » HTML5 rendering routine updated (0.8.75 build # ff616c8)
 » FlexPaper Publisher Installer updated for Mac to include third party executable utilities. Mac OS X 10.6 or higher required.
   The third party executables can also be downloaded from https://code.google.com/p/flexpaper-desktop-publisher/downloads/list
   or using MacPorts (as previously mentioned) with the following command
   sudo port install swftools pdfjson pdftk mupdf
 » The HTML5 rendering mode now supports progressive loading when range request headers are supported by the web server except
   when using an iOS device. Range requests are not supported by iOS.
 » Issue corrected for the annotations asp.net setup package where wrong connection string was used to set up the sample database
 » PHP scripts now updated to use JPEG as opposed to PNG for Zine in HTML mode
 » Corrected an issue for 'BookView' where it wasn't possible to add notes on top of text
 » Issue corrected for FlexPaper Desktop Publisher where previewing a document with more than 10 pages caused some of the pages to render incorrectly
   in preview mode
 » Major performance improvement for Zine in HTML mode making it possible to render very large publications on low memory devices
 » Fixed an issue with links and HTML5 running split mode
 » FlexPaper Zine now features the ability to add links to URL's and pages through its config file.
   FlexPaper publisher for Zine has been updated to support this
 » Issue fixed for clicking on thumbnails in iOS


March 2013
 » HTML5 rendering routine updated (0.7.250)
 » HTML5 rendering routine compressed another 400 kb to 865 kb
 » Improved stability in turning pages quickly for Zine HTML/HTML5 modes
 » Split mode now fully supported in Zine HTML5 mode to reduce bandwidth consumption. Publications are typically split with a tool like pdftk:
   pdftk.exe Paper.pdf burst output Paper_%02d.pdf compress
   The HTML5 rendering mode will use split mode if the following syntax is used when supplying the PDFFile parameter: [*,padding] where padding
   is the minimum number of digits in the number with zeros's (0) used to fill. For example a document split into
   Paper_01.pdf, Paper_02.pdf .. Paper_99.pdf, will use the following syntax:
   PDFFile : 'Paper_[*,2].pdf',
 » PHP and ASP.NET sample updated to support HTML5 split mode with support for PDFtk as suggested utility for this
 » Performance improvements for Zine (flip book reader) in HTML5 mode
 » Zine in HTML5 mode now uses image thumbnails if they are supplied, to avoid excessive rendering
 » Issue corrected for Safari in Zine (in flip book reader) where the cursor would position itself incorrectly when Zooming in
 » Issue corrected for Zine (in flip book reader) in HTML/HTML5 mode affecting search where the first hit would not always be found
 » Corrected an issue related to text fragments being used from the pdf rather from json file in HTML5 split mode
 » Left and right panels in HTML/HTML5 mode for zine (in flip book reader) now clickable as in flash version
 » Improved performance in rescaling Zine (in flip book reader) in HTML/HTML5 mode using the slider
 » jQuery upgraded to 1.9.1 for FlexPaper Classic and FlexPaper Zine
 » Corrected an issue related to left and right panels in HTML/HTML5 (in flip book reader) mode where they would not show in certain sizes
 » Fixed an issue in Zine/HTML/HTML5 portrait mode where the next button would not work in some scenarios
 » Search abstracts expanding to the left of the flip book viewer now available in the HTML/HTML5 reader
 » Various corrections for FlexPaper annotations BookView mode (InitViewMode : 'BookView')
 » Corrections for viewing annotations in full screen where the toolbar wouldn't show in some cases
 » The HTML mode for the Zine flip book now supports rendering high resolution images when zoomed in with support for sliced pages to optimize download speed and quality
 » Correction for the PHP setup package which causes errors in some file names with spaces in them
 » Zine web server package now includes a java backend example
 » Correction for customizable UI in flash mode where the slider was not reacting when sliding quickly to the low end of the slider
 » Correction for annotations where annotations would disappear when switching back and forth between two page and portrait
 » Reading more improved for iPhone in Zine flip HTML/HTML5 view
 » Fix applied for Zine (flash version) to better manage differently sized pages
 » FlexPaper Publisher now available to Mac users! Make sure the following tools are installed prior to installing FlexPaper Publisher
   if you want to be able to use the full range of formats:
   1) Install MacPorts http://www.macports.org/
   2) From the command line, install the following ports:
      swftools, pdf2json, pdftk, mupdf (you can use the following command to do this: sudo port install swftools pdfjson pdftk mupdf)


February 2013
 » Fix for hovering in FlexPaper Zine HTML to allow the user to hover the entire width of the document
 » Zine now allowing mouse down/drag interaction in both flash and html mode as opposed to mouse move when reading in zoomed in mode
   set the zoomDragMode attribute to true in the <general> node of your UI config file to enable this
 » HTML5 now supports split mode if a json file is provided
 » A Java back-end admin console now added for FlexPaper accross all builds
 » Native kinetic scrolling implemented for annotations and jQuery upgraded for the FlexPaper Annotations viewer
 » Issue fixed related to the php setup package and its ability to alter the config file in certain environments
 » Issue related to split json files fixed for flash viewer
 » FlexPaper desktop publisher updated to use split mode for publications larger than 500 kb
 » Selections on iPad are now created by holding down the finger just as any other normal document (affecting annotations + viewer)
 » Search result text now localizable in AdaptiveUI
 » Switching from portrait to landscape in touch devices improved for Zine
 » FlexPaper Zine now works for IE8, IE7 even if flash is not present
 » FlexPaper Zine HTML5/HTML now loading +- 4 pages in range
 » Bug fix for Safari in HTML mode for Zine where certain aspects were not being reset properly after zooming
 » Corrections for the ASP.NET setup

January 2013
 » Rotate functionality added for the HTML viewer
 » Fisheye thumbnails now added for HTML mode for FlexPaper Zine
 » Ability to add new custom buttons added for FlexPaper Zine
 » Ability to disable the fisheye thumbnails in the customization XML file for FlexPaper Zine
 » New viewer mode added for the flash viewer: CADPage showing a navigational thumb nail in the bottom right corner of the viewer
 » Issue related to beginning in portrait for FlexPaper Zine fixed
 » Issue related to zooming into HTML mode for FlexPaper Zine in relative positioned elements fixed
 » Improved shading when turning pages in HTML mode for FlexPaper Zine
 » Fixed an issue related to disposing dom nodes in FlexPaper Zine causing some pages to disappear when flipping page in HTML mode
 » Fixed an issue where zooming in quickly would result in one of the pages not rendering in FlexPaper Zine
 » Added the ability to position toolbar at bottom of viewer for FlexPaper Zine.
 » Two new settings added to the desktop general node of the customization config file for FlexPaper Zine: selectionColor and rollOverColor
 » Improved support for IE 8, IE 7 in HTML rendering mode
 » Fixed an issue related to switching back out of fullscreen in FlexPaper Zine where the viewer would not readjust in certain situations
 » Fixed an inconsistency in page number in FlexPaper Zine HTML version
 » Fixed issue related to StartAtPage for FlexPaper Zine HTML version
 » Added new settings for FlexPaper Zine: navPanelsVisible, fitModeScale, fitModeScaleMargin
 » Thumb images in Zine HTML mode will adapt to a lower resolution in PHP
 » HTML5 rendering routine updated
 » Flash viewer updated to support split JSON files for searching
 » Fixed an issue related to internal and external links when rendering in HTML5 mode
 » Issue fixed for landscape documents where they would not fit to width in certain cenarios for the HTML rendering mode
 » Issue fixed related to printing a page range in HTML and HTML5 rendering mode
 » Fixed an issue related to the onViewModeChanged event in HTML mode where the view mode was not passed through
 » SinglePage added to the HTML viewing mode
 » AdaptiveUI now auto resizes to fit screen if any of the sizes of the viewer are set in %
 » Fixed an issue related to odd pages showing in two-page mode where the second page would be visible even if it does not exist
 » The flash viewer can now be supplied with IMGFiles and JSONFile just as the html viewer. It will use teh IMGFiles if SwfFile is missing
 » Java example files (see java/FlexPaper.war) included for publishing with FlexPaper from for example Apache Tomcat (only available for commercial packages at the moment)

November 2012
 » Fix for annotations in HTML mode where the onMarkChanged event would not attach the mark object
 » Implemented native custom cursors for the flash viewers, speeding up the custom cursors significantly
 » Fixed an issue related to Safari for FlexPaper Zine when running in HTML mode where the size would be incorrect when zooming out
 » An issue related to clicking documents from the admin console which failed to work in certain browsers fixed
 » "Loading Publication" now localizable
 » Fix for FlexPaper flash where last page would not appear as current even when scrolled to bottom in portrait ( in certain scenarios )
 » Double tapping should now work on Android based devices for Zine publications
 » Fix for FlexPaper Zine which should make the HTML version fit better to the size of its container
 » Improved accuracy of page turning in html mode as well as the speed for zooming out when pinching
 » Improved style for the loader in HTML mode
 » Fixed an issue in FlexPaper Zine where the order of the tools was not taken into consideration in HTML mode
 » Fixed an issue related to the tooltips for full screen and two page view in Zine mode
 » Fixed an issue related to allowing searching split documents in flash using a supplied JSON file
 » Issue fixed related to Safari and clicking internal links in HTML mode fixed for FlexPaper Zine

November 2012
 » Issue related to hovering links in HTML mode fixed (standard viewer & zine)
 » Issue related to user input in full screen for chrome fixed
 » Annotations now follow into full screen mode (annotations viewer)
 » Annotations toolbar can now be hidden using the parameter 'AnnotationToolsVisible'
 » HTML5 rendering routine updated
 » Issue related to annotations in two page mode where the scroll bars were incorrectly initialised fixed

October 2012
 » Issue related to an update to flash player 11.4 causing cursor lag in the viewer fixed
 » Searching in split mode improved significantly
 » Correction for the load method which was not getting exposed properly after minification of HTML viewer
 » Correction for incorrectly sized backgrounds in split mode (flash viewer)
 » Issue releated to repositioning & sizing after full screen corrected
 » Internal links for HTML5 now working properly
 » HTML5 rendering routine updated
 » HTML viewing mode now supporting split json files providing the ability to serve much larger documents more efficient
 » Bug fixed for IE in relation to scrolling to specific pages which was appearing in some specific cases for the HTML viewer
 » Bug corrected for IE9 where it was not loading HTML rendering mode in certain scenarios
 » Issue related to printing in IE 9 in HTML mode corrected

October 2012
 » Issues related to full screeen resizing corrected
 » Serveral localization issues corrected
 » FlexPaper now behaves as a jQuery plugin with events dispatching from its main HTMLElement node
 » Serveral minor issues corrected
 » Issue releated to searchserviceurl now fixed

August 2012
 » Issue related to using next button where navigating next failed to work in certain situations fixed
 » True full screen implemented for the browsers that support it (AdaptiveUI, Zine)
 » Animated zoom added for FlexPaper Zine (HTML version)
 » Pinch to zoom added for FlexPaper Zine
 » "loading publication" misaligned for IE has been fixed
 » Fix for height of the print dialog to fit entire contents
 » load method modified so that it accepts either a url or a javascript object containing the suggested parameters (e.g. $FlexPaper('documentViewer').load({PDFFile : 'pdf/Paper.pdf'}))
 » Fixed an issue relating to the slider being re-initialized improperly on switching modes causing the slider to shrink in range
 » Fixed an issue relating to IE not allowing documents to be dragged in single page mode
 » resize function added for the viewer, takes width & height as arguments. These arguments can be %

July 2012  (AdaptiveUI Version 1.6.1)
 » HTML5 document rendering routine updated (AdaptiveUI, Zine)
 » Various general performance improvements for flipping between pages in HTML mode (FlexPaper Zine)
 » Improved scrolling performance significantly for HTML4 panning in touch devices (FlexPaper Zine)
 » IE 9 & IE 10 now supporting HTML5 rendering mode (FlexPaper Zine & Standard Build)
 » Now supporting IE9 in Zine flip mode (FlexPaper Zine)
 » Click-Zoom added for HTML mode (FlexPaper Zine)

14 July 2012 (AdaptiveUI Version 1.5.9)
 » PanelColor and BackgroundColor was not getting honored in HTML/HTML5 version (FlexPaper Zine)
 » Correction for textoverlay for FlexPaper Zine which was causing some documents to misalign

3 July 2012 (AdaptiveUI Version 1.5.8)
 » Correction of InitViewMode default value which didnt get set properly  (FlexPaper Zine)
 » Correction where print dialog was not closing properly after print/cancel
 » HTML5 document rendering routine updated
 » Desktop user interface and mobile user interface enhanced  (FlexPaper Zine)
 » New page curl/page flip effect implemented for HTML5 (FlexPaper Zine)
 » Initial loading dialog added
 » Issue related to navigating to last page from thumb view corrected
 » Issue related to using the text field to navigate to pages on touch devices causing incorrect page to show after second attempt corrected
 » Two-page mode added for Internet Explorer
 » Thumb view added for Internet Explorer

15 June 2012 (AdaptiveUI Version 1.5.7)
 » Peformance improvements accross the whole viewer
 » Normal text selections for annotations disabled for touch devices to avoid interfering with navigation in document
 » Portrait added to annotations build.
 » Some interaction issues related to dragging notes on touch devices corrected
 » Corrected an issue related to the wrong viewmode button not lighting up properly.
 » Issue related to scrollbars and overflowing labels affecting internet explorer corrected

10 June 2012 (AdaptiveUI Version 1.5.6)
 » Issue related to the load method corrected.
 » New parameter added "localeDir" which can be used to specify from which directory to load locale
 » Changed the zoomed-in two page mode not to animate when flicking pages as it was affecting performance negatively.
 » Corrected so that RenderingOrder now allows single entries (such as "html" alone)
 » HTML viewer now fully supports multiple instances on the same page
 » New dispose method added which is to be used whenever a viewer is to be destroyed to safely remove all event handlers
 » Discrepancies in onCurrentPageChanged corrected for touch devices in portrait mode and twopage mode

4 June 2012 (AdaptiveUI Version 1.5.5)
 » HTML version now supporting the same locale set as FlexPaper flash version through the use of the localeChain parameter
 » Bug preventing prevPage not to access first page when going from page 2 corrected
 » Added extra check for upload size, for the php setup script
 » Issue corrected for documents with odd pages affecting last page of the two-page mode
 » Portrait mode added back for iOS devices, now using jScrollPane which has been confirmed to circumvent the Apple Safari crashing issue
 » Issue releated to two-page for iOS 4.2 and earlier corrected
 » Print dialog added supporting range, all and specific pages just as the flash vierwer.
 » Fix for two-page view applied for flash
 » Two-page now supports vertical and horizontal panning in HTML mode
 » Issue related to StartAtPage fixed

25 May 2012 (Version 1.5.1)
 » Corrected the cross media format check (flash/html) so that it only affects notes and drawings (as only they have x/y coordinates)
 » Correcte an issue related to drawing over highlights which was affecting Google Chrome
 » Added a new parameter "StickyTools" to set tool buttons not to pop up after a tool has been used

23 May 2012 (Version 1.5.0)
 » Added new setup guide for PHP together with administrative user interface for uploading and viewing documents.
 » Support for JSONP added allowing documents to be loaded from other domanis than where the viewer is located. PHP example updated.

26 Apr 2012 (Version 1.4.5)
 » Several scroll bar issues corrected
 » Issue related to navigating to last page in single mode by entering the page number in the text field corrected
 » 'Old' two-page mode introduced. New viewing mode added 'BookView' which behaves more like a book.
 » Corrected and improvements serveral related to navigating next/prev in two-page mode
 » issue related to the load method corrected.

16 Apr 2012 (Version 1.4.3)
 » All css classes used by flexpaper now prefixed with flexpaper_ to avoid conflicts
 » General clean up of css rules
 » Style aligned more with our flash viewer, user interface should be clearer and more easily readable now
 » Minor corrections for going from thumb mode to twopage in iOS devices
 » jQuery.noConflict() now supported
 » Improved stability text selections in MSIE

06 Apr 2012 (Version 1.4.2)
 » Swiping improved to be less sensitive
 » Corrected scenario where certain pages were overlapping in two-page mode
 » Pages in landscape mode for two page in non-touch and touch devices corrected

04 Apr 2012	(Version 1.4.1)
 » Numerous fixes for iPad to improve stability
 » Improved two-page mode for ipad to allow double tapping to zoom and pan documents
 » Two page mode now allowing zoom using slider on non touch devices
 » Fix for search when searching in very large zoomed in mode causing search to fail

28 Mar 2012 (Version 1.3.8)
 » Regression issue affecting Android and older iOS versions corrected
 » Corrected issue related to the fitPageOnLoad parameter

13 Mar 2012 (Version 1.3.7)
 » Text can now be selected and copied on iPad/touch devices
 » Two page mode now allowing search
 » Two page now showing loader (spinner) before page loads properly.
 » Issue related to iPad causing crashes in specific scenarios corrected.

13 Jan 2012 (Version 1.3.0)
 » Split file loading now fully supported
 » Issue related to jsDirectory corrected

8 Jan 2012 (Version 1.2.9)
 » Zoom slider corrected for IE8
 » Now supporting internal and external links
 » Flash issue related to using $FlexPaper('id') corrected
 » key now passed in full screen
 » Two page corrected in how it is calculated in size

2 Jan 2012 (Version 1.2.8)
 » Loader spinner corrected for two-page mode
 » jsDirectory now honored in full page mode
 » wmmode added to flash viewer
 » Text selection corrected for two-page mode
